
% e04pc: Computes the least squares solution to a set of linear equations subject to fixed upper and lower bounds on the variables. An option is provided to return a minimal length solution if a solution is not unique
% 
% Syntax: 
% 
%   [a, b, x, rnorm, nfree, w, indx, ifail] = e04pc(itype, a, b, bl, bu, 'm', m, 'n', n, 'tol', tol)
% 
% Further documentation is available in the <a href="matlab:nag_doc e04/e04pcf.html">NAG Toolbox help files</a>.
%
