function c06fc_example

% diary c06fc_example.r
fprintf('c06fc example results\n\n');

z = [0.34907 - 0.37168*i;
     0.54890 - 0.35669*i;
     0.74776 - 0.31175*i;
     0.94459 - 0.23702*i;
     1.13850 - 0.13274*i;
     1.32850 + 0.00074*i;
     1.51370 + 0.16298*i];
x = real(z);
y = imag(z);

[ztr, zti, ifail] = c06fc(x, y);
ztrans = ztr + i*zti;
disp('Components of discrete Fourier transform')
disp(ztrans);

[xres, yres, ifail] = c06fc(ztr, -zti);
zres = xres-i*yres;
zout = [z  zres];

fprintf('Original sequence as restored by inverse transform\n');
fprintf('      Original            Restored\n')
disp(zout);

% diary off
