function c09eb_example

% diary c09eb_example.r
fprintf('c09eb example results\n\n');

m = nag_int(6);
n = nag_int(6);
wavnam = 'DB4';
mode = 'Half';
wtrans = 'Single level';
a = [8, 7, 3, 3, 1, 1;
     4, 6, 1, 5, 2, 9;
     8, 1, 4, 9, 3, 7;
     9, 3, 8, 2, 4, 3;
     1, 3, 7, 1, 5, 2;
     4, 3, 7, 7, 6, 1];






fprintf('\nInput data a:\n');
disp(a);
[nwl, nf, nwct, nwcn, icomm, ifail] = c09ab(wavnam, wtrans, mode, m, n);

nwcm = double(nwct)/(4*double(nwcn));

% Perform Discrete Wavelet transform
[ca, ch, cv, cd, ifail] = c09ea(a, icomm);

fprintf('Approximation coefficients    CA:\n');
disp(ca);
fprintf('Diagonal coefficients         CD:\n');
disp(cd);
fprintf('Horizontal coefficients       CH:\n');
disp(ch);
fprintf('Vertical coefficients         CV:\n');
disp(cv);

% Reconstruct original data
[b, ifail] = c09eb(m, n, ca, ch, cv, cd, icomm);
fprintf('Reconstruction       b:\n');
disp(b);

% diary off
