function f01kh_example

% diary f01kh_example.r
fprintf('f01kh example results\n\n');

% Exponential of matrix A and Frechet derivative of exp(A)E.

a =  [1+ i, 2+ i, 2+ i, 2+i;
      3+2i, 1,    1,    2+i;
      3+2i, 2+ i, 1,    2+i;
      3+2i, 3+2i, 3+2i, 1+i];

e =  [1,    2+ i, 2,    4+i;
      3+2i, 0,    1,    0+i;
      0+2i, 0+ i, 1,    0;
      1+ i, 2+2i, 0+3i, 1];

[expa, lae, ifail] = f01kh(a,e);

[ifail] = x04da('General', ' ', expa, 'exp(A):');
disp(' ');
[ifail] = x04da('General', ' ', lae, 'L_exp(A,E):');

% diary off
