function f01ve_example

% diary f01ve_example.r
fprintf('f01ve example results\n\n');

uplo   = 'u';
transr = 'n';
a = [1.1, 1.2, 1.3, 1.4;
     0.0, 2.2, 2.3, 2.4;
     0.0, 0.0, 3.3, 3.4;
     0.0, 0.0, 0.0, 4.4];
% Print the unpacked matrix
fprintf('\n');
[ifail] = x04cb(uplo, 'n', a, 'f5.2', 'Unpacked matrix a:', 'i', ...
                {''}, 'i', {''}, nag_int(80), nag_int(0));
% Convert to Rectangular Full Packed form
[ar, info] = f01ve(transr, uplo, a);
% Print the Rectangular Full Packed array
fprintf('\n');
[ifail] = x04cb('g', 'x', ar, 'f5.2', 'RFP Packed Array ar:', 'i', ...
                {''}, 'n', {''}, nag_int(80), nag_int(0));

n = nag_int(size(a,1));
k = nag_int(n/2);
q = n - k;
if transr=='N' || transr=='n'
  lar1 = 2*k + 1;
  lar2 = q;
else
  lar1 = q;
  lar2 = 2*k + 1;
end

ar = reshape(ar,lar1,lar2);

fprintf('\n');
[ifail] = x04cb('g', 'x', ar, 'f5.2', ... 
                'RFP Packed Array ar (graphical representation):', 'i', ...
                {''}, 'i', {''}, nag_int(80), nag_int(0), 'm', lar1, 'n', lar2);

% diary off
