function f02gc_example

% diary f02gc_example.r
fprintf('f02gc example results\n\n');

a = [ -3.97 - 5.04i, -4.11 + 3.70i, -0.34 + 1.01i,  1.29 - 0.86i;
       0.34 - 1.50i,  1.52 - 0.43i,  1.88 - 5.38i,  3.36 + 0.65i;
       3.31 - 3.85i,  2.50 + 3.45i,  0.88 - 1.08i,  0.64 - 1.48i;
      -1.10 + 0.82i,  1.81 - 1.59i,  3.25 + 1.33i,  1.57 - 3.44i];

% Find eigenvalues of A such that |eig| <= 5.5
crit = 'Moduli';
wl = 0.0;
wu = 5.5;
mest = nag_int(3);

[a, m, w, v, ifail] = f02gc( ...
                             crit, a, wl, wu, mest);

evals = w(1:m)';
disp('Eigenvalues');
disp(evals);

evecs = v(:,1:m);
disp('Eigenvectors');
disp(evecs);

% diary off
