function f02wu_example

% diary f02wu_example.r
fprintf('f02wu example results\n\n');

% SVD of upper triangular A
a = [-4, -2, -3;
      0, -3, -2;
      0,  0, -4];

b = [-1; -1; -1];
wantq = true;
wantp = true;
[a, b, q, sv, work, ifail] = f02wu( ...
                                    a, b, wantq, wantp);

fprintf('Singular value decomposition of A\n\n');

disp('Singular values');
disp(sv');
disp('Left-hand singular vectors, by column');
disp(q);
disp('Right-hand singular vectors, by column');
disp(a');
disp('Vector Q''*B');
disp(b');

% diary off
