function f04bc_example

% diary f04bc_example.r
fprintf('f04bc example results\n\n');

% Solve Ax = b for tridiagonal A with error bound and condition number
du = [          2.1;     -1;      1.9;     8.0];
d  = [ 3.0;     2.3;     -5;     -0.9;     7.1];
dl = [ 3.4;     3.6;      7;     -6];

b  = [ 2.7,     6.6;
      -0.5,    10.8;
       2.6,    -3.2;
       0.6,   -11.2;
       2.7,    19.1];

[dl, d, du, du2, ipiv, x, rcond, errbnd, ifail] = ...
  f04bc(dl, d, du, b);

fprintf('Solution is x:\n');
disp(x);
fprintf('\nApproximate condition number = %8.3f\n',1/rcond);
fprintf('Error bound on solution      = %11.3e\n',errbnd);


% diary off
