function f04fe_example

% diary f04fe_example.r
fprintf('f04fe example results\n\n');

% Solve Yule-Walker equations for symmetric definite Toeplitz system
n = nag_int(4);
t = [4     3     2     1     0];

wantp = true;
wantv = true;
[x, p, v, vlast, ifail] = ...
  f04fe(n, t, wantp, wantv);

disp('Solution vector');
disp(x');
disp('Reflection coefficients');
disp(p');
disp('Mean square prediction errors');
disp(v');
   
% diary off
