function f07bn_example

% diary f07bn_example.r
fprintf('f07bn example results\n\n');

m  = nag_int(4);
kl = nag_int(1);
ku = nag_int(2);
ab = [ 0    + 0i,     0    + 0i,     0    + 0i,     0    + 0i;
       0    + 0i,     0    + 0i,     0.97 - 2.84i,  0.59 - 0.48i;
       0    + 0i,    -2.05 - 0.85i, -3.99 + 4.01i,  3.33 - 1.04i;
      -1.65 + 2.26i, -1.48 - 1.75i, -1.06 + 1.94i, -0.46 - 1.72i;
       0    + 6.3i,  -0.77 + 2.83i,  4.48 - 1.09i,  0    + 0i];
b  = [ -1.06 + 21.5i;
      -22.72 - 53.9i;
       28.24 - 38.6i;
      -34.56 + 16.73i];

% Solve Ax = B
[abf, ipiv, x, info] = f07bn( ...
                              kl, ku, ab, b);

disp('Solution');
disp(x');
mtitle = 'Details of factorization';
[ifail] = x04de( ...
                 m, m, kl, kl+ku, abf, mtitle);
fprintf('\n');
disp('Pivot indices');
disp(double(ipiv'));

% diary off
