function f07fe_example

% diary f07fe_example.r
fprintf('f07fe example results\n\n');

% Lower triangular part of symmetric matrix A
uplo = 'Lower';
a = [ 4.16,  0,    0,    0;
     -3.12,  5.03, 0,    0;
      0.56, -0.83, 0.76, 0;
     -0.10,  1.18, 0.34, 1.18];

% Factorize
[L, info] = f07fd( ...
                   uplo, a);

% Rhs
b = [  8.70, 8.30;
     -13.35, 2.13;
       1.89, 1.61;
      -4.14, 5.00];

% Solve
[x, info] = f07fe( ...
                   uplo, L, b);

disp('Solution(s)');
disp(x);

% diary off
