function f07ja_example

% diary f07ja_example.r
fprintf('f07ja example results\n\n');

% Symmetric tridiagonal A stored as two diagonals
d = [ 4     10     29     25     5];
e = [-2     -6     15     8       ];

% RHS
b = [ 6;
      9;
      2;
     14;
      7];

% Solve
[df, ef, x, info] = f07ja( ...
                           d, e, b);

disp('Solution');
disp(x');
disp('Diagonal elements of the diagonal matrix D');
disp(df);
disp('Sub-diagonal elements of the Cholesky factor L');
disp(ef);

% diary off
