function f07md_example

% diary f07md_example.r
fprintf('f07md example results\n\n');

% Indefinite matrix A (lower triangular part stored)
uplo = 'L';
a = [ 2.07,  0,    0,     0; 
      3.87, -0.21, 0,     0;
      4.20,  1.87, 1.15,  0;
     -1.15,  0.63, 2.06, -1.81];

% Factorize
[af, ipiv, info] = f07md( ...
                          uplo, a);

[ifail] = x04ca( ...
                 uplo, 'Non-unit', af, 'Details of factorization');

fprintf('\nPivot indices\n   ');
fprintf('%11d', ipiv);
fprintf('\n');

% diary off
