function f07mw_example

% diary f07mw_example.r
fprintf('f07mw example results\n\n');

% Hermitian indefinite matrix A (Lower triangular part stored)
uplo = 'L';
a = [-1.36 + 0i,     0    + 0i,     0    + 0i,      0    + 0i;
      1.58 - 0.90i, -8.87 + 0i,     0    + 0i,      0    + 0i;
      2.21 + 0.21i, -1.84 + 0.03i, -4.63 + 0i,      0    + 0i;
      3.91 - 1.50i, -1.78 - 1.18i,  0.11 - 0.11i,  -1.84 + 0i];

% Factorize
[af, ipiv, info] = f07mr( ...
                          uplo, a);

% Invert
[ainv, info] = f07mw( ...
                      uplo, af, ipiv);

[ifail] = x04da( ...
                 uplo, 'Non-unit', ainv, 'Inverse');

% diary off
