function f07ns_example

% diary f07ns_example.r
fprintf('f07ns example results\n\n');

% Complex symmetrix matrix A, lower triangle stored.
uplo = 'L';
a = [-0.39 - 0.71i,  0    + 0i,     0    + 0i,     0    + 0i;
      5.14 - 0.64i,  8.86 + 1.81i,  0    + 0i,     0    + 0i;
     -7.86 - 2.96i, -3.52 + 0.58i, -2.83 - 0.03i,  0    + 0i;
      3.80 + 0.92i,  5.32 - 1.59i, -1.54 - 2.86i, -0.56 + 0.12i];

%Factorize A
[af, ipiv, info] = f07nr( ...
                          uplo, a);

% RHS
b = [ -55.64 + 41.22i, -19.09 - 35.97i;
      -48.18 + 66.00i, -12.08 - 27.02i;
       -0.49 -  1.47i,   6.95 + 20.49i;
       -6.43 + 19.24i,  -4.59 - 35.53i];

% Solve Ax=b
[x, info] = f07ns( ...
                   uplo, af, ipiv, b);

disp('Solution:');
disp(x);

% diary off
