function f07pj_example

% diary f07pj_example.r
fprintf('f07pj example results\n\n');

% Indefinite matrix A (lower triangular part stored in packed format)
uplo = 'L';
n = nag_int(4);
ap = [2.07;   3.87;   4.20;   -1.15;
             -0.21;   1.87;    0.63;
                      1.15;    2.06;
                              -1.81];

% Factorize
[apf, ipiv, info] = f07pd( ...
                           uplo, n, ap);

% Invert
[ainv, info] = f07pj( ...
                      uplo, apf, ipiv);

[ifail] = x04cc( ...
                 uplo, 'Non-unit', n, ainv, 'Inverse');

% diary off
