function f08uc_example

% diary f08uc_example.r
fprintf('f08uc example results\n\n');

% Symmetric banded matrices A and B stored in symmetric banded format
uplo = 'U';
ka = nag_int(2);
ab = [0,     0,     0.42,  0.63;
      0,     0.39,  0.79,  0.48;
      0.24, -0.11, -0.25, -0.03];
kb = nag_int(1);
bb = [0,     0.95, -0.29, -0.33;
      2.07,  1.69,  0.65,  1.17];

% Eigenvalues only of Ax = lmbda Bx
jobz = 'No vectors';
[~, ~, w, ~, info] = f08uc( ...
			    jobz, uplo, ka, kb, ab, bb);

disp('Eigenvalues');
disp(w');

% diary off
