function f08zb_example

% diary f08zb_example.r
fprintf('f08zb example results\n\n');

% Minimize ||y|| given Ax + By = d
a = [-0.57, -1.28, -0.39;
     -1.93,  1.08, -0.31;
      2.30,  0.24, -0.40;
     -0.02,  1.03, -1.43];
b = [ 0.5, 0, 0, 0;
      0,   1, 0, 0;
      0,   0, 2, 0;
      0,   0, 0, 5];
d = [ 1.32;
     -4.00;
      5.52;
      3.24];

[~, ~, ~, x, y, info] = f08zb( ...
                               a, b, d);

disp('Weighted least-squares solution');
fprintf('%12.4f',x);
fprintf('\n');
fprintf('Residual vector\n  ');
fprintf('%12.2e',y);
sqres = norm(y,2);
fprintf('\n\nSquare root of the residual sum of squares\n  %12.2e\n', ...
        sqres);

% diary off
