function f11xs_example

% diary f11xs_example.r
fprintf('f11xs example results\n\n');

% Sparse Hermitian matrix product y = Ax
a = [6 ...
    -1 + 1i  6 + 0i ...
             0 + 1i 5 + 0i  ...
                            5 + 0i ...
     2 - 2i                        4 + 0i  ...
                    1 + 1i  2 + 0i         6 + 0i ...
            -4 + 3i                0 + 1i -1 + 0i 6 + 0i ...
                           -1 - 1i         0 - 1i        9 + 0i ...
     1 + 3i                        1 + 2i -1 + 0i        1 + 4i 9 + 0i];
irow = [nag_int(1)  2 2  3 3  4  5 5  6 6 6  7 7 7 7  8 8 8  9 9 9 9 9];
icol = [nag_int(1)  1 2  2 3  4  1 5  3 4 6  2 5 6 7  4 6 8  1 5 6 8 9];

x = [ 1 + 9i;      2 - 8i;      3 + 7i;
      4 - 6i;      5 + 5i;      6 - 4i;
      7 + 3i;      8 - 2i;      9 + 1i];

check = 'C';
[y, ifail] = f11xs( ...
                    a, irow, icol, check, x);

disp('Matrix-vector product');
disp(y);

% diary off
