function g01ea_example

% diary g01ea_example.r
fprintf('g01ea example results\n\n');

% Probability for Normal distribution
x     = 1.96;
tail = {'Lower'; 'Upper'; 'Confidence'; 'Significance'};

fprintf('  Tail    x      probability\n');
for j = 1:size(tail,1);

  [p, ifail] = g01ea( ...
                      x,'tail',tail{j});

  fprintf('%4s%8.2f%12.4f\n',tail{j}(1),x,p);
end

% diary off
