function g01eb_example

% diary g01eb_example.r
fprintf('g01eb example results\n\n');

% Probability for Students' t distribution
t    = 0.85;
df   = 20;
tail = {'Lower'; 'Significance'; 'Confidence'; 'Upper'};

fprintf('  Tail    t      df    probability\n');
for j = 1:size(tail,1);

  [p, ifail] = g01eb( ...
                      t, df, 'tail', tail{j});

  fprintf('%4s%8.3f%8.1f%12.4f\n', tail{j}(1), t, df, p);
end

% diary off
