function g01ef_example

% diary g01ef_example.r
fprintf('g01ef example results\n\n');

% Lower tail probabilities for Gamma distribution
g    = [   15.5;     0.5;    10.0;     5.0];
a    = [    4.0;     4.0;     1.0;     2.0];
b    = [    2.0;     1.0;     2.0;     2.0];
tail = {'Lower'; 'Lower'; 'Lower'; 'Lower'};

fprintf('  Tail    G      a      b     probability\n');
for j = 1:numel(g);

  [p, ifail] = g01ef( ...
                      g(j), a(j), b(j), 'tail', tail{j});

  fprintf('%4s%8.2f%8.2f%8.2f%12.4f\n', tail{j}(1), g(j), a(j), b(j), p);
end

% diary off
