function g01gb_example

% diary g01gb_example.r
fprintf('g01gb example results\n\n');

t     = [ -1.528   -0.188   1.138];
df    = [ 20        7.5    45    ];
delta = [  2        1       0    ];
p     = t;

fprintf('     t       df    delta     p\n');
for j = 1:numel(t)
   [p(j), ifail] = g01gb( ...
			  t(j), df(j), delta(j));
end

fprintf('%8.3f%8.3f%8.3f%8.4f\n', [t; df; delta; p]);

% diary off
