function g01tc_example

% diary g01tc_example.r
fprintf('g01tc example results\n\n');

tail = {'L'};
p    = [0.01; 0.428; 0.869];
df   = [20;   7.5;  45];
[x, ivalid, ifail] = g01tc( ...
                            tail, p, df);

fprintf('  tail     p       df      x     ivalid\n');
ltail = numel(tail);
lp    = numel(p);
ldf   = numel(df);
len   = max ([ltail, lp, ldf]);
for i=0:len-1
  fprintf('%5s%8.3f%8.3f%8.3f%8d\n',  tail{mod(i, ltail)+1}, ...
          p(mod(i,lp)+1), df(mod(i,ldf)+1), x(i+1), ivalid(i+1));
end

% diary off
