function g01td_example

% diary g01td_example.r
fprintf('g01td example results\n\n');

tail = {'L'};
p    = [0.984; 0.9; 0.534];
df1  = [10;    1;  20.25];
df2  = [25.5;  1;   1];

[f, ivalid, ifail] = g01td( ...
                            tail, p, df1, df2);

fprintf('   tail   p      df1     df2      f    ivalid\n');
ltail = numel(tail);
lp    = numel(p);
ldf1  = numel(df1);
ldf2  = numel(df2);
len   = max ([ltail, lp, ldf1, ldf2]);
for i=0:len-1
  fprintf('%5s%7.3f%8.3f%8.3f%8.3f%7d\n', tail{mod(i, ltail)+1}, ...
          p(mod(i,lp)+1), df1(mod(i,ldf1)+1), df2(mod(i,ldf2)+1), ...
          f(i+1), ivalid(i+1));
end

% diary off
