function g01tf_example

% diary g01tf_example.r
fprintf('g01tf example results\n\n');

tail = {'L'};
p = [0.01; 0.428; 0.869];
a = [1; 7.5; 45];
b = [20; 0.1; 10];

[x, ivalid, ifail] = g01tf( ...
                            tail, p, a, b);

fprintf('  tail  p       a       b         x     ivalid\n');
ltail = numel(tail);
lp    = numel(p);
la    = numel(a);
lb    = numel(b);
len  = max ([ltail, lp, la, lb]);
for i=0:len-1
  fprintf('%5s%8.3f%8.3f%8.3f%10.3f%5d\n', tail{mod(i, ltail)+1}, ...
          p(mod(i,lp)+1), a(mod(i,la)+1), b(mod(i,lb)+1), x(i+1), ivalid(i+1));
end

% diary off
