function g02aa_example

% diary g02aa_example.r
fprintf('g02aa example results\n\n');

g = [ 2, -1,  0,  0;
     -1,  2, -1,  0;
      0, -1,  2, -1;
      0,  0, -1,  2];

[g, x, iter, feval, nrmgrd, ifail] = ...
  g02aa(g);

fprintf('\n     Nearest Correlation Matrix\n');
disp(x);
fprintf('\n Number of Newton steps taken:   %d\n', iter);
fprintf(' Number of function evaluations: %d\n', feval);
if (nrmgrd > 4*x02aj)
  fprintf(' Norm of gradient of last Newton step: %6.4f\n', nrmgrd);
end

% diary off
