function g03ba_example

% diary g03ba_example.r
fprintf('g03ba example results\n\n');

fl = [0.788, -0.152, -0.352;
      0.874,  0.381,  0.041;
      0.814, -0.043, -0.213;
      0.798, -0.170, -0.204;
      0.641,  0.070, -0.042;
      0.755, -0.298,  0.067;
      0.782, -0.221,  0.028;
      0.767, -0.091,  0.358;
      0.733, -0.384,  0.229;
      0.771, -0.101,  0.071];
[n,k] = size(fl);
nvar  = nag_int(n);

stand = 'U';
g     = 1;

[fl, flr, r, iter, ifail] = g03ba( ...
				   stand, g, nvar, fl);

mtitle = 'Rotated factor loadings';
matrix = 'General';
diag   = ' ';

[ifail] = x04ca( ...
                 matrix, diag, flr, mtitle);

fprintf('\n');
mtitle = 'Rotated matrix';
[ifail] = x04ca( ...
                 matrix, diag, r, mtitle);

% diary off
