function g05kk_example

% diary g05kk_example.r
fprintf('g05kk example results\n\n');

genid = nag_int(1);
subid = nag_int(1);
seed  = [nag_int(1762543)];

% Initialise the generator to a repeatable sequence
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Advance the sequence 2**n places
n = nag_int(17);
[state, ifail] = g05kk( ...
                        n, state);

% Generate nv variates from a uniform distribution
nv = nag_int(5);
[state, x, ifail] = g05sa( ...
                           nv, state);

% Display the variates
disp(x);

% diary off
