function g05py_example

% diary g05py_example.r
fprintf('g05py example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Eigenvalues
d = [0.7; 0.9; 1.4];

% Generate the correlation matrix with eigenvalues d
[state, c, ifail] = g05py( ...
                           d, state);

disp('Correlation Matrix');
disp(c);

% diary off
