function g05rk_example

% diary g05rk_example.r
fprintf('g05rk example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Sample size
n = nag_int(13);
m = nag_int(4);
% Sample order
sorder = nag_int(1);

% Parameter
theta = 2.4;

% Generate variates
[state, x, ifail] = g05rk( ...
                           n, m, theta, sorder, state);

disp('Variates from a Gumbel–Hougaard copula');
disp(x);

% diary off
