function g05sg_example

% diary g05sg_example.r
fprintf('g05sg example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
a   = [1;   5;   2];
wgt = [0.5; 0.3; 0.2];

% Generate variates from an exponential mix distribution
[state, x, ifail] = g05sg( ...
                           n, a, wgt, state);

disp('Variates');
disp(x);

% diary off
