function g05sr_example

% diary g05sr_example.r
fprintf('g05sr example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
vk = 1;

% Generate variates from von Mises distribution
[state, x, ifail] = g05sr( ...
                           n, vk, state);

disp('Variates');
disp(x);

% diary off
