function g05ss_example

% diary g05ss_example.r
fprintf('g05ss example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
a = 1;
b = 2;

% Generate variates from Weibull distribution
[state, x, ifail] = g05ss( ...
                           n, a, b, state);

disp('Variates');
disp(x);

% diary off
