function g05tk_example

% diary g05tk_example.r
fprintf('g05tk example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of sets of variates
n = 10;
% Parameters
vlamda = [0.5; 5; 10; 500; 1000];
m = numel(vlamda);

x = zeros(n, m, nag_int_name);

% Generate n sets of the m variates
for i = 1:n
  [state, x(i, :), ifail] = g05tk( ...
                                   vlamda, state);
end

disp('Variates');
disp(double(x));

% diary off
