function g05tl_example

% diary g05tl_example.r
fprintf('g05tl example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
a = nag_int(-5);
b = nag_int(5);

% Generate integer variates from Uniform (a,b) distribution
[state, x, ifail] = g05tl( ...
                           n, a, b, state);

disp('Variates');
disp(double(x));

% diary off
