function g08af_example

% diary g08af_example.r
fprintf('g08af example results\n\n');

x = [23; 27; 26; 19; 30;
     29; 25; 33; 36; 32; 28; 30; 31;
     38; 31; 28; 35; 33; 36;
     30; 27; 28; 22; 33; 34; 34; 32;
     31; 33; 31; 28; 30; 24; 29; 30];
l = [nag_int(5);8;6;8;8];

fprintf('Kruskal-Wallis test\n\n');
fprintf('Data values\n\n');
fprintf('  Group    Observations');

ix = 1;
for j = 1:numel(l) 
  fprintf('\n%5d    ', j);
  fprintf('%4.0f', x(ix:ix+l(j)-1));
  ix = ix + l(j);
end

[h, p, ifail] = g08af(x, l);

fprintf('\n\nTest statistic        %8.3f\n', h);
fprintf('Degrees of freedom    %4d\n', numel(l)-1);
fprintf('Significance          %8.3f\n', p);

% diary off
