function m01ea_example

% diary m01ea_example.r
fprintf('m01ea example results\n\n');

k  = nag_int(1);

rm = [6 5 4;
      5 2 1;
      2 4 9;
      4 9 6;
      4 9 5;
      4 1 2;
      3 4 1;
      2 4 6;
      1 6 4;
      9 3 2;
      6 2 5;
      4 9 6];

m1 = nag_int(1);
m2 = nag_int(size(rm,1));
n  = nag_int(size(rm,2));

% Rank by column k
order = 'Ascending';
[irank, ifail] = m01da(rm(:,k), m1, order);

% Sort columns by ranking
for j = 1:n
  [rm(:,j), irank, ifail] = m01ea(rm(:,j), m1, irank);
end

fprintf('Matrix sorted on column %2d\n', k);
for i = m1:m2
  fprintf('%7.1f',rm(i,:));
  fprintf('\n');
end

% diary off
