function nag_correg_coeffs_kspearman_example

% diary nag_correg_coeffs_kspearman_example.r
fprintf('nag_correg_coeffs_kspearman example results\n\n');

x = [1.7,  1, 0.5;
     2.8,  4, 3.0;
     0.6,  6, 2.5;
     1.8,  9, 6.0;
     0.99, 4, 2.5;
     1.4,  2, 5.5;
     1.8,  9, 7.5;
     2.5,  7, 0.0;
     0.99, 5, 3.0];
[n,m] = size(x);
fprintf('Number of variables (columns) = %d\n', m);
fprintf('Number of cases     (rows)    = %d\n\n', n);
disp('Data matrix is:-');
disp(x);
itype = nag_int(0);

[rr, ifail] = nag_correg_coeffs_kspearman(x, itype);

fprintf('Matrix of rank correlation coefficients:\n');
fprintf('Upper triangle -- Spearman''s\n');
fprintf('Lower triangle -- Kendall''s tau\n\n');
disp(rr);


% diary off
