function nag_correg_corrmat_nearest_kfactor_example

% diary nag_correg_corrmat_nearest_kfactor_example.r
fprintf('nag_correg_corrmat_nearest_kfactor example results\n\n');

g = [2, -1,  0,  0;
    -1,  2, -1,  0;
     0, -1,  2, -1;
     0,  0, -1,  2];
k = nag_int(2);

% Calculate nearest correlation matrix
[g, x, iter, feval, nrmpgd, ifail] = ...
  nag_correg_corrmat_nearest_kfactor(g, k);

fprintf('\n Factor Loading Matrix x:\n');
disp(x);
fprintf('\n Number of Newton steps taken:   %d\n', iter);
fprintf(' Number of function evaluations: %d\n', feval);

% Generate Nearest k factor correlation matrix

fprintf('\n Nearest Correlation Matrix:\n');
disp(x*transpose(x) + diag(diag(eye(4)-x*transpose(x))));

% diary off
