function nag_eigen_complex_triang_svd_example

% diary nag_eigen_complex_triang_svd_example.r
fprintf('nag_eigen_complex_triang_svd example results\n\n');

a = [ 1,       1 + 1i,  1 + 1i;
      0 + 0i, -2 + 0i, -1 - 1i;
      0 + 0i,  0 + 0i, -3 + 0i];
b = [ 1 + 1i; -1 + 0i; -1 + 1i];

wantq = true;
wantp = true;
[a, b, q, sv, rwork, ifail] = nag_eigen_complex_triang_svd( ...
                                     a, b, wantq, wantp);

fprintf('Singular value decomposition of A\n\n');

disp('Singular values');
disp(sv');
disp('Left-hand singular vectors, by column');
disp(q);
disp('Right-hand singular vectors, by column');
disp(ctranspose(a));
disp('Vector Q^H*B');
disp(transpose(b));

% diary off
