function nag_file_line_read_example

% diary nag_file_line_read_example.r
fprintf('nag_file_line_read example results\n\n');

% Filename and asociated unit number
file   = 'foo.data';
iounit = nag_int(4);

% Open file for writing
mode    = nag_int(1);
[ifail] = nag_file_open(iounit, file, mode);

% Write line to file
nag_file_line_write(iounit, ' 20  2.996');

% Close file
[ifail] = nag_file_close(iounit);

% Reopen file for reading
mode    = nag_int(0);
[ifail] = nag_file_open(iounit, file, mode);

% Read line from file
reclin = nag_int(40);
[recin, ifail] = nag_file_line_read(iounit, reclin);

disp(recin);

% reclose file
[ifail] = nag_file_close(iounit);

delete(file)

% diary off
