function nag_file_print_matrix_integer_example

% diary nag_file_print_matrix_integer_example.r
fprintf('nag_file_print_matrix_integer example results\n\n');

nmax = nag_int(5);
a = zeros(nmax,nmax,nag_int_name);

for i = 1:nmax
  a(i,:) = [1:nmax] + 10*i;
end

% First matrix : 3x5 general matrix 
mtitle = 'Example 1:';
matrix = 'General';
diag   = ' ';

[ifail] = nag_file_print_matrix_integer( ...
                 matrix, diag, a(1:3,:), mtitle);

fprintf('\n');
% Second matrix : 5x5 non-unit lower triangular 
mtitle = 'Example 2:';
matrix = 'Lower';
diag   = 'Non-unit';

[ifail] = nag_file_print_matrix_integer( ...
                 matrix, diag, a, mtitle);

% diary off
