function nag_glopt_bnd_mcs_optget_real_example

% diary nag_glopt_bnd_mcs_optget_real_example.r
fprintf('nag_glopt_bnd_mcs_optget_real example results\n\n');

[comm, ifail] = nag_glopt_bnd_mcs_init;

% List the default values for some options
nf     = nag_glopt_bnd_mcs_optget_int('Function Evaluations Limit', comm);
infbnd = nag_glopt_bnd_mcs_optget_real('Infinite Bound Size',        comm);
lcsrch = nag_glopt_bnd_mcs_optget_char('Local Searches',             comm);
loclim = nag_glopt_bnd_mcs_optget_int('Local Searches Limit',       comm);
loctol = nag_glopt_bnd_mcs_optget_real('Local Searches Tolerance',   comm);
repeat = nag_glopt_bnd_mcs_optget_char('Repeatability',              comm);
smax   = nag_glopt_bnd_mcs_optget_int('Splits Limit',               comm);
stclim = nag_glopt_bnd_mcs_optget_int('Static Limit',               comm);
objerr = nag_glopt_bnd_mcs_optget_real('Target Objective Error',     comm);
objsfg = nag_glopt_bnd_mcs_optget_real('Target Objective Safeguard', comm);
objval = nag_glopt_bnd_mcs_optget_real('Target Objective Value',     comm);

fprintf('Function Evaluations Limit = %10d\n',nf);
fprintf('Infinite Bound Size        = %10.3e\n',infbnd);
fprintf('Local Searches             = %10s\n',lcsrch);
fprintf('Local Searches Limit       = %10d\n',loclim);
fprintf('Local Searches Tolerance   = %10.3e\n',loctol);
fprintf('Repeatability              = %10s\n',repeat);
fprintf('Splits Limit               = %10d\n',smax  );
fprintf('Static Limit               = %10d\n',stclim);
fprintf('Target Objective Error     = %10.3e\n',objerr);
fprintf('Target Objective Safeguard = %10.3e\n',objsfg);
fprintf('Target Objective Value     = %10.3f\n',objval);

% diary off
