function nag_interp_1d_monotonic_eval_example

% diary nag_interp_1d_monotonic_eval_example.r
fprintf('nag_interp_1d_monotonic_eval example results\n\n');

x = [7.99 8.09    8.19    8.7     9.2     10      12      15      20];
f = [0 2.7643e-05 0.04375 0.16918 0.46943 0.94374 0.99864 0.99992 0.99999];

% Theses are as returned by nag_interp_1d_monotonic(x,f)
d = [0;
     0.00055251;
     0.33587;
     0.34944;
     0.59696;
     0.060326;
     0.000898335;
     2.93954e-05;
     0];

m = 11;
dx = (x(end)-x(1))/(m-1);
px = [x(1):dx:x(end)];

[pf, ifail] = nag_interp_1d_monotonic_eval(x, f, d, px);

fprintf('\n                Interpolated\n     Abscissa          Value\n');
fprintf('%13.4f  %13.4f\n', [px' pf]')

% diary off
