function nag_interp_1d_ratnl_eval_example

% diary nag_interp_1d_ratnl_eval_example.r
fprintf('nag_interp_1d_ratnl_eval example results\n\n');

% Calculate rational approximation coefficients
x = [0:4];
f = [4   2   4   7   10.4];

[m, a, u, ifail] = nag_interp_1d_ratnl( ...
                          x, f);

% Evaluate at single point
x = 6;
[f, ifail] = nag_interp_1d_ratnl_eval( ...
                    a, u, x, 'm', m);

fprintf('x    = %12.4e\n',x);
fprintf('R(x) = %12.4e\n',f);

% diary off
