function nag_lapack_dgees_example

% diary nag_lapack_dgees_example.r
fprintf('nag_lapack_dgees example results\n\n');

% Matrix A
a = [ 0.35,  0.45, -0.14, -0.17;
      0.09,  0.07, -0.54,  0.35;
     -0.44, -0.33, -0.03,  0.17;
      0.25, -0.32, -0.13,  0.11];

% Schur vectors of A, selecting real positive eigenvalues
jobvs = 'Vectors (Schur)';
sortp = 'Sort';
select = @(wr, wi) (wr > 0 && wi == 0);
[~, sdim, wr, wi, vs, info] = ...
nag_lapack_dgees( ...
       jobvs, sortp, select, a);

fprintf('Number of eigenvalues for which SELECT is true = %3d\n',sdim);
fprintf(' (dimension of invariant subspace)\n\n');
disp('Selected eigenvalues');
disp(wr(1:sdim) + i*wi(1:sdim));

% diary off
