function nag_lapack_dgels_example

% diary nag_lapack_dgels_example.r
fprintf('nag_lapack_dgels example results\n\n');

% A and b
a = [-0.57, -1.28, -0.39,  0.25;
     -1.93,  1.08, -0.31, -2.14;
      2.30,  0.24,  0.40, -0.35;
     -1.93,  0.64, -0.66,  0.08;
      0.15,  0.30,  0.15, -2.13;
     -0.02,  1.03, -1.43,  0.50];
b = [-2.67;
     -0.55;
      3.34;
     -0.77;
      0.48;
      4.1];
[m,n] = size(a);

% Find x which minimizes ||b-Ax||_2 
trans = 'No transpose';
[af, x, info] = nag_lapack_dgels(trans, a, b);

disp('Least squares solution');
disp(x(1:n)');
rnorm = norm(x(n+1:m));
fprintf('Square root of the residual sum of squares = %11.2e\n', rnorm);

% diary off
