function nag_lapack_dgelsy_example

% diary nag_lapack_dgelsy_example.r
fprintf('nag_lapack_dgelsy example results\n\n');

a = [-0.09,  0.14, -0.46,  0.68,  1.29;
     -1.56,  0.20,  0.29,  1.09,  0.51;
     -1.48, -0.43,  0.89, -0.71, -0.96;
     -1.09,  0.84,  0.77,  2.11, -1.27;
      0.08,  0.55, -1.13,  0.14,  1.74;
     -1.59, -0.72,  1.06,  1.24,  0.34];
b = [ 7.4;
      4.2;
     -8.3;
      1.8;
      8.6;
      2.1];
[m,n] = size(a);

jpvt = zeros(n,1,nag_int_name);
rcond = 0.01;

[af, x, jpvt, rank, info] = nag_lapack_dgelsy( ...
				   a, b, jpvt, rcond);

disp('Least squares solution');
disp(x');
disp('Tolerance used to estimate the rank of A');
disp(rcond);
disp('Estimated rank of A');
disp(rank);

% diary off
