function nag_lapack_dorgql_example

% diary nag_lapack_dorgql_example.r
fprintf('nag_lapack_dorgql example results\n\n');

% Form Q from QL factorization of A
m = 6;
n = 4;
a = [-0.57, -1.28, -0.39,  0.25;
     -1.93,  1.08, -0.31, -2.14;
      2.30,  0.24,  0.40, -0.35;
     -1.93,  0.64, -0.66,  0.08;
      0.15,  0.3,   0.15, -2.13;
     -0.02,  1.03, -1.43,  0.5];

% Compute the QL factorization of A
[ql, tau, info] = nag_lapack_dgeqlf(a);

% Form Q
[Q, info] = nag_lapack_dorgql(ql, tau);
% Print Q
[ifail] = nag_file_print_matrix_real_gen( ...
		 'General', ' ', Q, 'Orthogonal Q from QL of A');

% diary off
