function nag_lapack_dppsv_example

% diary nag_lapack_dppsv_example.r
fprintf('nag_lapack_dppsv example results\n\n');

% Symmetric matrix A, upper triangular part packed in ap
uplo = 'U';
ap = [4.16  ...
     -3.12  5.03  ...
      0.56 -0.83  0.76  ...
     -0.10  1.18  0.34  1.18];

% Rhs
b = [  8.7;
     -13.35;
      1.89;
     -4.14];
n = nag_int(size(b,1));

% Solve
[apf, x, info] = nag_lapack_dppsv( ...
                        uplo, ap, b);

disp('Solution');
disp(x');

[ifail] = nag_file_print_matrix_real_packed( ...
                 uplo, 'N', n, apf, 'Cholesky factor');

% diary off
