function nag_lapack_dpttrf_example

% diary nag_lapack_dpttrf_example.r
fprintf('nag_lapack_dpttrf example results\n\n');

% Symmetric tridiagonal A stored as two diagonals
d = [ 4     10     29     25     5];
e = [-2     -6     15     8       ];

[df, ef, info] = nag_lapack_dpttrf( ...
                        d, e);

disp('Details of factorization');
disp('The diagonal elements of D');
disp(df);
disp('Sub-diagonal elements of the Cholesky factor L');
disp(ef);

% diary off
