function nag_lapack_dtbtrs_example

% diary nag_lapack_dtbtrs_example.r
fprintf('nag_lapack_dtbtrs example results\n\n');

% Solve AX=B, where A is lower triangular banded
% and stored in triangular/symmetric banded format 
kd = nag_int(1);
ab = [-4.16, 4.78,  6.32, 0.16;
      -2.25, 5.86, -4.82, 0.00];
b = [-16.64,  -4.16;
     -13.78, -16.59;
      13.10,  -4.94;
     -14.14,  -9.96];

% Solve
uplo  = 'L';
trans = 'N';
diag  = 'N';
[x, info] = nag_lapack_dtbtrs( ...
                   uplo, trans, diag, kd, ab, b);

% Display solution
[ifail] = nag_file_print_matrix_real_gen( ...
                 'Gen', diag, x, 'Solution(s)');

% diary off
