function nag_lapack_dtptrs_example

% diary nag_lapack_dtptrs_example.r
fprintf('nag_lapack_dtptrs example results\n\n');

% Solve AX=B where A is Lower triangular and packed
ap = [ 4.30; -3.96;  0.40; -0.27;
             -4.87;  0.31;  0.07;
                    -8.02; -5.95;
                            0.12];
b = [-12.90, -21.50;
      16.75,  14.93;
     -17.55,   6.33;
     -11.04,   8.09];

% Solve
uplo = 'L';
trans = 'N';
diag = 'N';
[x, info] = nag_lapack_dtptrs( ...
                   uplo, trans, diag, ap, b);

% Display solution
[ifail] = nag_file_print_matrix_real_gen( ...
                 'Gen', diag, x, 'Solution(s)');

% diary off
