function nag_lapack_zpbsv_example

% diary nag_lapack_zpbsv_example.r
fprintf('nag_lapack_zpbsv example results\n\n');

uplo = 'U';
kd = nag_int(1);
n  = nag_int(4);
ab = [0,          1.08 - 1.73i,  -0.04 + 0.29i,  -0.33 + 2.24i;
      9.39 + 0i,  1.69 + 0i,      2.65 + 0i,      2.17 + 0i];

b = [ -12.42 + 68.42i;
       -9.93 +  0.88i;
      -27.3  -  0.01i;
        5.31 + 23.63i];

[abf, x, info] = nag_lapack_zpbsv( ...
                        uplo, kd, ab, b);

disp('Solution');
disp(x);

kl = nag_int(0);
[ifail] = nag_file_print_matrix_complex_band( ...
                 n, n, kl, kd, abf, 'Cholesky factor');

% diary off
