function nag_lapack_zpbtrf_example

% diary nag_lapack_zpbtrf_example.r
fprintf('nag_lapack_zpbtrf example results\n\n');

uplo = 'L';
kd = nag_int(1);
n  = nag_int(4);
ab = [ 9.39 + 0i,     1.69 + 0i,      2.65 + 0i,      2.17 + 0i;
       1.08 - 1.73i, -0.04 + 0.29i,  -0.33 + 2.24i    0    + 0i];

% Factorize
[abf, info] = nag_lapack_zpbtrf( ...
                     uplo, kd, ab);

ku = nag_int(0);
[ifail] = nag_file_print_matrix_complex_band( ...
                 n, n, kd, ku, abf, 'Cholesky factor');

% diary off
