function nag_lapack_zposv_example

% diary nag_lapack_zposv_example.r
fprintf('nag_lapack_zposv example results\n\n');

% Upper triangular part of Hermitian matrix A
uplo = 'Upper';
a = [ 3.23  + 0i,  1.51 - 1.92i,  1.90 + 0.84i,  0.42 + 2.50i;
      0     + 0i,  3.58 + 0i,    -0.23 + 1.11i, -1.18 + 1.37i;
      0     + 0i,  0    + 0i,     4.09 + 0i,     2.33 - 0.14i;
      0     + 0i,  0    + 0i,     0    + 0i,     4.29 + 0i];

% RHS
b = [ 3.93 -  6.14i;
      6.17 +  9.42i;
     -7.17 - 21.83i;
      1.99 - 14.38i];

% Solve
[af, x, info] = nag_lapack_zposv( ...
                       uplo, a, b);

disp('Solution');
disp(x);

[ifail] = nag_file_print_matrix_complex_gen( ...
                 uplo, 'Non-unit', af, 'Cholesky factor U');

% diary off
