function nag_lapack_zpotri_example

% diary nag_lapack_zpotri_example.r
fprintf('nag_lapack_zpotri example results\n\n');

% Lower triangular part of Hermitian matrix A
uplo = 'Lower';
a = [ 3.23 + 0i,     0    + 0i,     0    + 0i,     0    + 0i;
      1.51 + 1.92i,  3.58 + 0i,     0    + 0i,     0    + 0i;
      1.90 - 0.84i, -0.23 - 1.11i,  4.09 + 0i,     0    + 0i;
      0.42 - 2.50i, -1.18 - 1.37i,  2.33 + 0.14i,  4.29 + 0i];

% Factorize
[L, info] = nag_lapack_zpotrf( ...
                   uplo, a);

% Invert
[ainv, info] = nag_lapack_zpotri( ...
                      uplo, L);

[ifail] = nag_file_print_matrix_complex_gen( ...
                 uplo, 'Non-unit', ainv, 'Inverse');

% diary off
