function nag_lapack_zppcon_example

% diary nag_lapack_zppcon_example.r
fprintf('nag_lapack_zppcon example results\n\n');

uplo = 'L';
n = nag_int(4);
ap = [3.23 + 0i    1.51 + 1.92i    1.90 - 0.84i    0.42 - 2.50i ...
                   3.58 + 0i      -0.23 - 1.11i   -1.18 - 1.37i ...
                                   4.09 + 0.00i    2.33 + 0.14i ...
                                                   4.29 + 0.00i];

[L, info] = nag_lapack_zpptrf( ...
                     uplo, n, ap);

anorm = norm([ap(4) ap(7) ap(9) ap(10)], 1);

[rcond, info] = nag_lapack_zppcon( ...
                       uplo, n, L, anorm);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
