function nag_lapack_zsytri_example

% diary nag_lapack_zsytri_example.r
fprintf('nag_lapack_zsytri example results\n\n');

% Symmetric indefinite matrix A (Upper triangular part stored)
uplo = 'L';
a = [-0.39 - 0.71i,  0    + 0i,     0    + 0i,     0    + 0i;
      5.14 - 0.64i,  8.86 + 1.81i,  0    + 0i,     0    + 0i;
     -7.86 - 2.96i, -3.52 + 0.58i, -2.83 - 0.03i,  0    + 0i;
      3.80 + 0.92i,  5.32 - 1.59i, -1.54 - 2.86i, -0.56 + 0.12i];

% Factorize
[af, ipiv, info] = nag_lapack_zsytrf( ...
                          uplo, a);

% Invert
[ainv, info] = nag_lapack_zsytri( ...
                      uplo, af, ipiv);

[ifail] = nag_file_print_matrix_complex_gen( ...
                 uplo, 'Non-unit', ainv, 'Inverse');

% diary off
