function nag_linsys_real_toeplitz_update_example

% diary nag_linsys_real_toeplitz_update_example.r
fprintf('nag_linsys_real_toeplitz_update example results\n\n');

t = [4; 3; 2; 1];
b = [1; 1; 1; 1];
x = [0];
work = zeros(9,1);
fprintf('  order  refl. coeff   solution\n');
for k=1:4
  [x, p, work, ifail] = nag_linsys_real_toeplitz_update( ...
                               t(1:k), b(1:k), x, work);
  if k > 1
    fprintf('%6d%11.4f    ', k, p);
  else
    fprintf('%6d%11.4s    ', k, ' ');
  end
  fprintf('%8.4f',transpose(x));
  fprintf('\n');
  if k < 4
    x = [x; 0]; % Extend x by one element
  end
end

% diary off
