function nag_matop_complex_gen_matrix_cond_exp_example

% diary nag_matop_complex_gen_matrix_cond_exp_example.r
fprintf('nag_matop_complex_gen_matrix_cond_exp example results\n\n');

% Exponential and conditioning of matrix A 
a =  [1+ i, 2+ i, 2+ i, 2+i;
      3+2i, 1,    1,    2+i;
      3+2i, 2+ i, 1,    2+i;
      3+2i, 3+2i, 3+2i, 1+i];

% Compute exp(a)
[expa, condea, ifail] = nag_matop_complex_gen_matrix_cond_exp(a);

% Display results
disp('exp(A):');
disp(expa);

fprintf('Estimated condition number is: %6.2f\n', condea);

% diary off
