function nag_matop_complex_gen_matrix_cond_log_example

% diary nag_matop_complex_gen_matrix_cond_log_example.r
fprintf('nag_matop_complex_gen_matrix_cond_log example results\n\n');

% Logarithm and conditioning of matrix A 
a =  [3+2i,  1,  1,     1+2i;
      0+2i, -4,  0,     0;
      1,    -2,  3+2i,  0+i;
      1,     i,  1,     2+3i];

% Compute log(a)
[loga, condla, ifail] = nag_matop_complex_gen_matrix_cond_log(a);

% Display results
disp('Log(A):');
disp(loga);

fprintf('Estimated condition number is: %6.2f\n', condla);

% diary off
