function nag_matop_complex_gen_matrix_cond_sqrt_example

% diary nag_matop_complex_gen_matrix_cond_sqrt_example.r
fprintf('nag_matop_complex_gen_matrix_cond_sqrt example results\n\n');

% Principal square root and conditioning of complex matrix A 

a = [ 29+35i  31+61i -38+49i -17- 6i;
      52-59i  58-29i  97+39i -32+15i;
      20-31i  44- 1i  37+19i -26+19i;
     -70+72i -90+ 8i -87-43i  47- 5i];

[as, alpha, condsa, ifail] = nag_matop_complex_gen_matrix_cond_sqrt(a);

disp('Square root of A:');
disp(as);

fprintf('\nEstimated relative condition number is       : %6.2f\n', condsa);

fprintf('Condition number for the relative residual is: %6.2f\n', alpha)

% diary off
