function nag_matop_dtpttr_example

% diary nag_matop_dtpttr_example.r
fprintf('nag_matop_dtpttr example results\n\n');

uplo = 'u';
n = nag_int(4);
ap = [1.1; 1.2; 2.2; 1.3; 2.3; 3.3; 1.4; 2.4; 3.4; 4.4];
% Print the unpacked matrix
fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen_comp('g', 'x', ap, 'f5.2', 'Packed matrix a:', 'i', ...
                {''}, 'i', {''}, nag_int(80), nag_int(0));
% Convert to unpacked form
[a, info] = nag_matop_dtpttr(uplo, n, ap);
% Print the packed vector
fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen_comp(uplo, 'n', a, 'f5.2', 'Unpacked matrix ap:', 'i', ...
                {''}, 'n', {''}, nag_int(80), nag_int(0));

% diary off
