function nag_matop_real_gen_matrix_cond_exp_example

% diary nag_matop_real_gen_matrix_cond_exp_example.r
fprintf('nag_matop_real_gen_matrix_cond_exp example results\n\n');

% Exponential and conditioning of matrix A 
a =  [2, 2, 1, 2;
      3, 1, 4, 0;
      2, 3, 1, 2;
      0, 1, 3, 3];

% Compute exp(a)
[expa, condea, ifail] = nag_matop_real_gen_matrix_cond_exp(a);

% Display results
disp('exp(A):');
disp(expa);

fprintf('Estimated condition number is: %6.2f\n', condea);

% diary off
