function nag_matop_real_gen_matrix_cond_sqrt_example

% diary nag_matop_real_gen_matrix_cond_sqrt_example.r
fprintf('nag_matop_real_gen_matrix_cond_sqrt example results\n\n');

% Principal square root and conditioning of matrix A 

a = [ -5  2 -1  1;
      -2 -3 19 27;
      -9  0 15 24;
       7  8 11 16]; 

[as, alpha, condsa, ifail] = nag_matop_real_gen_matrix_cond_sqrt(a);

disp('Square root of A:');
disp(as);

fprintf('\nEstimated relative condition number is       : %6.2f\n', condsa);

fprintf('Condition number for the relative residual is: %6.2f\n', alpha)

% diary off
