function nag_matop_real_gen_matrix_cond_std_example

% diary nag_matop_real_gen_matrix_cond_std_example.r
fprintf('nag_matop_real_gen_matrix_cond_std example results\n\n');

a = [2,   1,   3,   1;
     3,  -1,   0,   2;
     1,   0,   3,   1;
     1,   2,   0,   3];
fun = 'sinh';

% Find absolute condition number estimate
[a, conda, norma, normfa, ifail] = nag_matop_real_gen_matrix_cond_std( ...
                                          fun, a);

fprintf('\nf(A) = %s(A)\n', fun);
fprintf('Estimated absolute condition number is: %7.2f\n', conda);

%  Find relative condition number estimate
eps = nag_machine_precision;
if normfa > eps
   cond_rel = conda*norma/normfa;
   fprintf('Estimated relative condition number is: %7.2f\n', cond_rel);
else
  fprintf('The estimated norm of f(A) is effectively zero;\n');
  fprintf('the relative condition number is therefore undefined.\n');
end

% diary off
