function nag_matop_real_gen_matrix_frcht_pow_example

% diary nag_matop_real_gen_matrix_frcht_pow_example.r
fprintf('nag_matop_real_gen_matrix_frcht_pow example results\n\n');

% Principal power p of matrix A and Frechet derivative of A^pE.

a = [ 3 3 2 1;
      3 1 0 2;
      1 1 4 3;
      3 0 3 1];

e = [ 1 0 2 1;
      0 4 5 2;
      1 0 0 0;
      2 3 3 0];

p = 0.2;

[pa, lpae, ifail] = nag_matop_real_gen_matrix_frcht_pow(a,e,p);

disp('A^p:');
disp(pa);

disp('L_p(A,E):');
disp(lpae);

% diary off
