function nag_matop_real_gen_matrix_fun_usd_example

% diary nag_matop_real_gen_matrix_fun_usd_example.r
fprintf('nag_matop_real_gen_matrix_fun_usd example results\n\n');

a =  [1,  0, -2,  1;
     -1,  2,  0,  1;
      2,  0,  1,  0;
      1,  0, -1,  2];

% Compute f(a)
[exp2a, user, iflag, imnorm, ifail] = ...
  nag_matop_real_gen_matrix_fun_usd(a, @f);

disp('f(A) = exp(2A)');
disp(exp2a);

fprintf('Imnorm = %6.2f\n',imnorm);

% diary off

function [iflag, fz, user] = f(m, iflag, nz, z, user)
  fz = double(2^m)*exp(2*z);
