function nag_matop_real_symm_matrix_fun_example

% diary nag_matop_real_symm_matrix_fun_example.r
fprintf('nag_matop_real_symm_matrix_fun example results\n\n');

uplo = 'u';
a =  [1, 2, 3, 4;
      0, 1, 2, 3;
      0, 0, 1, 2;
      0, 0, 0, 1];

% Compute f(a)
[cosa, user, iflag, ifail] = nag_matop_real_symm_matrix_fun(uplo, a, @f);

% Display results
[ifail] = nag_file_print_matrix_real_gen(uplo, 'n', cosa, 'Symmetric f(A) = cos(A)');

% diary off

function [iflag, fx, user] = f(iflag, n, x, user)
  fx = cos(x);
