function nag_mv_z_scores_example

% diary nag_mv_z_scores_example.r
fprintf('nag_mv_z_scores example results\n\n');

x = [15, 0, 1500;
     12, 1, 1000;
     18, 2, 1200;
     14, 3, 500];
nvar = nag_int(2);
isx = [nag_int(1);0;1];

% shift and scaling
s = [ 2.50;     0;    420.3];
e = [14.75;    0;    1050.0];

% Standardize
[z, ifail] = nag_mv_z_scores( ...
		    x, nvar, isx, s, e);

mtitle = 'Standardized values';
matrix = 'General';
diag   = ' ';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, z, mtitle);

% diary off
