function nag_nonpar_test_friedman_example

% diary nag_nonpar_test_friedman_example.r
fprintf('nag_nonpar_test_friedman example results\n\n');

x = [1, 2, 1, 1, 3, 2, 3, 1, 3, 3, 2, 2, 3, 2, 2.5, 3, 3, 2;
     3, 3, 3, 2, 1, 3, 2, 3, 1, 1, 3, 3, 2, 3, 2.5, 2, 2, 3;
     2, 1, 2, 3, 2, 1, 1, 2, 2, 2, 1, 1, 1, 1, 1,   1, 1, 1];

fprintf('Friedman test\n\n');
mtitle = 'Data values';
matrix = 'General';
diag   = ' ';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, x, mtitle);

[fr, p, ifail] = nag_nonpar_test_friedman(x);

fprintf('\nTest statistic       %6.3f\n', fr);
fprintf('Degrees of freedom   %6d\n', size(x,1)-1);
fprintf('Significance         %6.3f\n', p);

% diary off
