function nag_nonpar_test_ks_1sample_example

% diary nag_nonpar_test_ks_1sample_example.r
fprintf('nag_nonpar_test_ks_1sample example results\n\n');

x = [0.01; 0.30; 0.20; 0.90; 1.20; 0.09; 1.30; 0.18; 0.90; 0.48;
     1.98; 0.03; 0.50; 0.07; 0.70; 0.60; 0.95; 1.00; 0.31; 1.45;
     1.04; 1.25; 0.15; 0.75; 0.85; 0.22; 1.56; 0.81; 0.57; 0.55];

% Parameters
dist   = 'Normal';
estima = 'Estimate';
ntype  = nag_int(1);
par = [0; 0];

[par, d, z, p, sx, ifail] = nag_nonpar_test_ks_1sample( ...
                                   x, dist, par, estima, ntype);

fprintf('K-S Test\n');
fprintf('Distribution: %s\n',dist);
fprintf('Parameters  :');
fprintf('%7.4f', par);
fprintf('\n\nTest statistic D = %8.4f\n', d);
fprintf('Z statistic      = %8.4f\n', z);
fprintf('Tail probability = %8.4f\n', p);

% diary off
