function nag_nonpar_test_mooddavid_example

% diary nag_nonpar_test_mooddavid_example.r
fprintf('nag_nonpar_test_mooddavid example results\n\n');

x = [6;  9; 12;  4; 10; 11;  8;  1;  3;  7;  2;  5];

n1 = nag_int(6);
fprintf('Mood''s test and David''s test\n\n');
fprintf('Data values\n\n');
fprintf('Group 1\n');
fprintf('%4.0f',x(1:n1));
fprintf('\n\nGroup 2\n');
fprintf('%4.0f',x(n1+1:end));
fprintf('\n\n');

itest = nag_int(0);
[r, w, v, pw, pv, ifail] = nag_nonpar_test_mooddavid( ...
                                  x, n1, itest);

fprintf('    Mood''s measure  = %8.3f   Significance = %8.4f\n', w, pw);
fprintf('    David''s measure = %8.3f   Significance = %8.4f\n', v, pv);

% diary off
