function nag_quad_1d_fin_well_example

% diary nag_quad_1d_fin_well_example.r
fprintf('nag_quad_1d_fin_well example results\n\n');

a = 0;
b = 1;
epsr = 1e-5;
nlimit = nag_int(0);

[result, npts, relerr, ifail] = nag_quad_1d_fin_well(...
                                      a, b, epsr, @fcn, nlimit);

fprintf('Integral                       =  %9.5f\n\n', result);
fprintf('Estimated relative error       =  %10.2e\n\n', relerr);
fprintf('Number of function evaluations =  %4d\n', npts);

% diary off

function f = fcn(x)
  f = 4/(1+x^2);
