function nag_quad_md_numth_vec_example

% diary nag_quad_md_numth_vec_example.r
fprintf('nag_quad_md_numth_vec example results\n\n');

npts = nag_int(2);
vk = zeros(4,1);
nrand = nag_int(4);

[vk, res, err, ifail] = nag_quad_md_numth_vec( ...
			       @vecfun, @vecreg, npts, vk, nrand);

fprintf('Result = %13.5f,  Standard error = %10.2e\n', res, err);

% diary off

function fv = vecfun(ndim, x, m)
  fv = zeros(m,1);

  for i=1:m
    fv(i) = cos(0.5 + 2*sum(x(i,1:ndim)) - double(ndim));
  end

function [c,d] = vecreg(ndim, x, j, m)
  c = zeros(m,1);
  d = ones(m,1);
