function nag_rand_dist_uniform01_example

% diary nag_rand_dist_uniform01_example.r
fprintf('nag_rand_dist_uniform01 example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% The number of pseudorandom numbers to be generated
n = nag_int(5);

% Generate variates from a Uniform (0,1) distribution
[state, x, ifail] = nag_rand_dist_uniform01( ...
                           n, state);

disp('Variates');
disp(x);

% diary off
