function nag_rand_init_nonrepeat_example

% diary nag_rand_init_nonrepeat_example.r
fprintf('nag_rand_init_nonrepeat example results\n\n');

% genid and subid identify the base generator
genid = nag_int(1);
subid =  nag_int(1);

% Initialize the generator to an unrepeatable sequence
[state, ifail] = nag_rand_init_nonrepeat(genid, subid);

% The number of pseudorandom numbers to be generated
n = nag_int(5);

% Generate the variates
[state, x, ifail] = nag_rand_dist_uniform01( ...
                           n, state);

% Display variates
disp(x);

% diary off
