function nag_sort_charvec_rank_rearrange_example

% diary nag_sort_charvec_rank_rearrange_example.r
fprintf('nag_sort_charvec_rank_rearrange example results\n\n');

ch    = {'nag_complex_sqrt'; 'nag_complex_abs';  'a02ak'; 'nag_zeros_quartic_real'; 'nag_zeros_cubic_complex'; 'nag_roots_contfn_brent_interval'; ...
         'nag_roots_contfn_interval_rcomm'; 'nag_roots_contfn_cntin';  'nag_roots_contfn_cntin_rcomm'; 'nag_roots_contfn_brent'; 'nag_roots_contfn_brent_rcomm'};

ifreq = [nag_int(289)  523        531       169       599      1351   ...
             240       136        211       183      2181];

% Rank by decreasing frequency
m1 = nag_int(1);
order = 'Descending';
[irank, ifail] = nag_sort_intvec_rank(ifreq, m1, order);

% Order routine names
[ch, irank, ifail] = nag_sort_charvec_rank_rearrange(ch, m1, irank);

fprintf('Names in order of frequency\n\n');
for i = 1:numel(ch)
  fprintf('%s\n',char(ch{i}));
end

% diary off
