function nag_sort_charvec_search_example

% diary nag_sort_charvec_search_example.r
fprintf('nag_sort_charvec_search example results\n\n');

ch    = {'black  '; 'blue   '; 'crimson'; 'cyan   '; 'green  ';
         'orange '; 'pink   '; 'purple '; 'red    '; 'white  '};
item  = {'blond  '; 'amber  '; 'plum   '; 'yellow '};

m1 = nag_int([ 1    1    1    5]);
m2 = nag_int([ 7   10   10   10]);

validate = true;
for j = 1:4
  [result, ifail] = nag_sort_charvec_search( ...
                           validate, ch, item{j}, 'm1', m1(j), 'm2', m2(j));
  validate = false;

  fprintf('Search for %s in index range [%2d:%2d]: index = %2d\n', ...
          item{j}, m1(j), m2(j), result);
end

% diary off
