function nag_sort_intvec_rank_rearrange_example

% diary nag_sort_intvec_rank_rearrange_example.r
fprintf('nag_sort_intvec_rank_rearrange example results\n\n');

k  = nag_int(1);

im = [nag_int(6) 5 4;
             5 2 1;
             2 4 9;
             4 9 6;
             4 9 5;
             4 1 2;
             3 4 1;
             2 4 6;
             1 6 4;
             9 3 2;
             6 2 5;
             4 9 6];

m1 = nag_int(1);
m2 = nag_int(size(im,1));
n  = nag_int(size(im,2));

% Rank by column k
order = 'Ascending';
[irank, ifail] = nag_sort_intvec_rank(im(:,k), m1, order);

% Sort columns by ranking
for j = 1:n
  [im(:,j), irank, ifail] = nag_sort_intvec_rank_rearrange(im(:,j), m1, irank);
end

fprintf('Matrix sorted on column %2d\n', k);
for i = m1:m2
  fprintf('%5d',im(i,:));
  fprintf('\n');
end

% diary off
