function nag_specfun_bessel_i0_scaled_example

% diary nag_specfun_bessel_i0_scaled_example.r
fprintf('nag_specfun_bessel_i0_scaled example results\n\n');

x = [0  0.5  1   3   6  10  1000  -1];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_bessel_i0_scaled(x(j));
end

disp('      x       e^-|x| I_0(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

% diary off
