function nag_specfun_legendre_p_example

% diary nag_specfun_legendre_p_example.r
fprintf('nag_specfun_legendre_p example results\n\n');

mode = nag_int(1);
x  = 0.5;
m  = nag_int(2);
n  = nag_int(3);

[p, ifail] = nag_specfun_legendre_p(mode, x, m, n);

fprintf('First %2d unnormalized associated Legendre function values ',n);
fprintf('P^%d_n(%7.4f)\n\n',m,x);
fprintf('%3s%8s\n','n','P_n');
fprintf('%3d%10.4f\n', [double([0:n]); p']);

% diary off
