function nag_stat_inv_cdf_students_t_example

% diary nag_stat_inv_cdf_students_t_example.r
fprintf('nag_stat_inv_cdf_students_t example results\n\n');

p    = [ 0.01;          0.01;        0.99];
df   = [20;             7.5;        45.00];
tail = {'Significance'; 'Lower'; 'Confidence' };

fprintf('      p      df    tail      x\n');
for j = 1:numel(p);

  [x, ifail] = nag_stat_inv_cdf_students_t( ...
                      p(j) , df(j), 'tail', tail{j});

  fprintf('%9.3f%8.3f%4s%12.3f\n', p(j), df(j), tail{j}(1), x);
end

% diary off
