function nag_stat_mills_ratio_example

% diary nag_stat_mills_ratio_example.r
fprintf('nag_stat_mills_ratio example results\n\n');

x    = [ 0.0; -2.0; 10.3];
xmu  = [ 0.0;  1.0;  9.0];
xsig = [ 1.0;  2.5;  1.6];

fprintf('  mean     sigma    x        reciprocal\n');
fprintf('                            Mills ratio\n\n');

for j = 1:numel(x)
  z  = (x(j)-xmu(j))/xsig(j);

  rm = nag_stat_mills_ratio(z);

  rm = rm/xsig(j);
  fprintf('%7.4f%9.4f%9.4f%11.4f\n', xmu(j), xsig(j), x(j), rm);
end

% diary off
