function nag_stat_prob_f_noncentral_example

% diary nag_stat_prob_f_noncentral_example.r
fprintf('nag_stat_prob_f_noncentral example results\n\n');

f      = [  5.5     39.9     2.5 ];
df1    = [  1.5      1      20.25];
df2    = [ 25.5      1       1   ];
rlamda = [  3        2       0   ];
p      = f;

fprintf('     f      df1     df2    rlamda     p\n');
for j = 1:numel(f)
   [p(j), ifail] = nag_stat_prob_f_noncentral( ...
			  f(j), df1(j), df2(j), rlamda(j));
end

fprintf('%8.3f%8.3f%8.3f%8.3f%8.4f\n', [f; df1; df2; rlamda; p]);

% diary off
