function nag_stat_prob_kolmogorov2_example

% diary nag_stat_prob_kolmogorov2_example.r
fprintf('nag_stat_prob_kolmogorov2 example results\n\n');

% Upper tail probabilities for 2-sample Kolmogorov–Smirnov distribution.
n1 = [nag_int( 5);   10;   20;   20;  400;  200; 1000;  200;   15;  100];
n2 = [nag_int(10);   10;   10;   15;  200;   20;   20;   50;  200;  100];
d  = [0.5;  0.5;  0.5; 0.4833; 0.1412; 0.2861; 0.2113; 0.1796; 0.18; 0.18];

fprintf('     d       n1   n2   two-sided probability\n');
for j = 1:numel(d)

  [p, ifail] = nag_stat_prob_kolmogorov2( ...
                      n1(j), n2(j), d(j));

fprintf('%8.4f%6d%6d%17.4f\n', d(j), n1(j), n2(j), p);
end

% diary off
