function nag_sum_fft_hermitian_3d_example

% diary nag_sum_fft_hermitian_3d_example.r
fprintf('nag_sum_fft_hermitian_3d example results\n\n');

n1 = nag_int(3);
n2 = nag_int(3);
n3 = nag_int(4);
x = zeros(n1, n2, n3);
x(1, :, :) = [1.541, 0.161, 1.989, 0.037;
              0.346, 1.907, 0.001, 1.915;
              1.754, 0.042, 1.991, 0.151];

x(2, :, :) = [0.584, 1.004, 1.408, 0.252;
              1.284, 1.137, 0.467, 1.834;
              0.855, 0.725, 1.647, 0.096];

x(3, :, :) = [0.010, 1.844, 0.452, 1.154;
              1.960, 0.240, 1.424, 0.987;
              0.089, 1.660, 0.708, 0.872];
% Compute Transform.  Reshape x into a 1-d array
[y, ifail] = nag_sum_fft_real_3d(n1, n2, n3, reshape(x,n1*n2*n3,1));

% Display y as a 3-d array
fprintf('\nComponents of discrete Fourier transform:\n');
reshape(y,n1/2,n2,n3)

% Compute Inverse Transform
[x1, ifail] = nag_sum_fft_hermitian_3d(n1, n2, n3, y) ;
fprintf('Original sequence as restored by inverse transform:\n');
reshape(x1, n1, n2, n3)

% diary off
