function nag_tsa_uni_arma_roots_example

% diary nag_tsa_uni_arma_roots_example.r
fprintf('nag_tsa_uni_arma_roots example results\n\n');

k   = nag_int(2);
ip  = nag_int(1);
par = [0.802;     0.065;     0;     0.575];

% Calculate zeros
[rr, ri, rmod, ifail] = nag_tsa_uni_arma_roots( ...
                               k, ip, par);

% Display results
fprintf('%20s%13s\n', 'Eigenvalues', 'Moduli');
fprintf('%20s%13s\n', '-----------', '------');
for i = 1:k*ip
  if ri(i)>=0
    fprintf(' %10.3f  + %6.3f i  %8.3f\n', rr(i), ri(i), rmod(i));
  else
    fprintf(' %10.3f  - %6.3f i  %8.3f\n', rr(i), -ri(i), rmod(i));
  end
end

% diary off
