function nag_univar_ci_binomial_example

% diary nag_univar_ci_binomial_example.r
fprintf('nag_univar_ci_binomial example results\n\n');

n = nag_int([1067, 402]);
k = nag_int([117,  54]);
clevel = 0.95;

disp(' Probability    Confidence Interval ');
for j = 1:numel(n)
  [pl, pu, ifail] = nag_univar_ci_binomial(n(j), k(j), clevel);
  p_hat = double(k(j))/double(n(j));
  fprintf('%10.4f      (%7.4f, %7.4f)\n', p_hat, pl, pu);
end

% diary off
