function s14af_example

% diary s14af_example.r
fprintf('s14af example results\n\n');

z =  -1.5 + 2.5i;
k = nag_int(1);
[pk, ifail] = s14af(z, k);

disp('      z        k      (d^K/dx^K)psi(z)');
fprintf('%5.1f%+5.1fi%5d', real(z), imag(z), k);
fprintf('  %12.4e%+12.4ei\n', real(pk), imag(pk));

% diary off
