function s17dh_example

% diary s17dh_example.r
fprintf('s17dh example results\n\n');

z  = [0.3 + 0.4i;  0.2 + 0i;  1.1 - 6.6i;  1.1 - 6.6i; -1 + 0i];
deriv = {'F';      'F';       'F';         'F';         'D'};
scal  = {'U';      'U';       'U';         'S';         'U'};

fprintf('deriv        z        scaled?         Bi(z)\n');
for i=1:numel(z)

  [cy, ifail] = s17dh(deriv{i}, complex(z(i)), scal{i});

  fprintf('  %s  %7.3f%+7.3fi', deriv{i}, real(z(i)), imag(z(i)));
  if scal{i} == 'U'
     fprintf('  unscaled');
  else
     fprintf('    scaled');
  end
  fprintf(' %7.3f%+8.3fi\n', real(cy), imag(cy));
end

% diary off
