function s21cb_example

% diary s21cb_example.r
fprintf('s21cb example results\n\n');

z = -2 +3i;
k = 0.25;

[sn, cn, dn, ifail] = s21cb(z,k);

fprintf(' z = %8.4f%+8.4fi,  k = %7.4f\n\n',real(z), imag(z), k);
fprintf('%16s%23s%23s\n', 'sn(z|k)', 'cn(z|k)', 'dn(z|k)');
fprintf('%10.4f%+10.4fi  %10.4f%+10.4fi  %10.4f%+10.4fi\n', ...
        real(sn), imag(sn), real(cn), imag(cn), real(dn), imag(dn));

% diary off
