function x02aj_example

% diary x02aj_example.r
fprintf('x02aj example results\n\n');

fprintf('(results are machine-dependent)\n');

fprintf('\nThe basic parameters of the model\n\n');
fprintf('the model parameter B    (x02bh) = %8d\n', ...
        x02bh);
fprintf('the model parameter P    (x02bj) = %8d\n', ...
        x02bj);
fprintf('the model parameter Emin (x02bk) = %8d\n', ...
        x02bk);
fprintf('the model parameter Emax (x02bl) = %8d\n', ...
        x02bl);

fprintf('\nDerived parameters of floating-point arithmetic\n\n')
fprintf('the machine precision               (x02aj) = %21.15e\n', ...
        x02aj);
fprintf('the smallest positive model number  (x02ak) = %22.15e\n', ...
        x02ak);
fprintf('the largest positive model number   (x02al) = %22.15e\n', ...
        x02al);
fprintf('the real safe range parameter       (x02am) = %22.15e\n', ...
        x02am);
fprintf('the complex safe range parameter    (x02an) = %22.15e\n', ...
        x02an);

fprintf('\nParameters of other aspects of the computing environment\n\n');
fprintf('largest argument of sin and cos (x02ah) = %20.8e\n', ...
        x02ah);
fprintf('the largest positive integer    (x02bb) = %20d\n', ...
        x02bb);
fprintf('precision in decimal digits     (x02be) = %20d\n', ...
        x02be);

% diary off
