
% f07pp: Uses the diagonal pivoting factorization to compute the solution to a complex, Hermitian, system of linear equations, error bounds and condition estimates. Packed storage
% 
% Syntax: 
% 
%   [afp, ipiv, x, rcond, ferr, berr, info] = f07pp(fact, uplo, ap, afp, ipiv, b, 'n', n, 'nrhs_p', nrhs_p)
% 
% Further documentation is available in the <a href="matlab:nag_doc f07/f07ppf.html">NAG Toolbox help files</a>.
%
