
% g02hk: Calculates a robust estimation of a covariance matrix, Huber's weight function
% 
% Syntax: 
% 
%   [covar, theta, nit, ifail] = g02hk(x, eps, 'n', n, 'm', m, 'maxit', maxit, 'nitmon', nitmon, 'tol', tol)
% 
% Further documentation is available in the <a href="matlab:nag_doc g02/g02hkf.html">NAG Toolbox help files</a>.
%
