% nag_demorun: run a nag demo program
% 
% Syntax: 
% 
%   nag_demo run
%   nag_demo run d f
% 
% Changes directory to directory d (relative to the location of this file)
% then runs the command f.
% If no (less than 2) arguments supplied it opens the demo browser
% at the NAG demo page.

function nag_demorun (d ,f)
  if (nargin < 2)
    demo('toolbox','NAG');
  else
    cd(fileparts(which('nag_demorun')));
    cd (d);
    eval(f);
  end
