
% nag_lapack_dppsvx: Uses the Cholesky factorization to compute the solution, error-bound and condition estimate for a real symmetric positive definite system of linear equations, packed storage
% 
% Syntax: 
% 
%   [ap, afp, equed, s, b, x, rcond, ferr, berr, info] = nag_lapack_dppsvx(fact, uplo, ap, afp, equed, s, b, 'n', n, 'nrhs_p', nrhs_p)
% 
% Further documentation is available in the <a href="matlab:nag_doc f07/f07gbf.html">NAG Toolbox help files</a>.
%
