function [n] = nag_int(x)
% nag_int: convert objects to the integer class compatible with
% the NAG Toolbox for MATLAB.
%
% Syntax: n = nag_int(x)
%
  if isempty(strfind(computer, '64'))
    n = int32(x);
  else
    n = int64(x);
  end
end
