function c05ay_example

% diary c05ay_example.r
fprintf('c05ay example results\n\n');

a = 0;
b = 1;
eps = 1e-5;
eta = 0;
fprintf('\n');
[x, user, ifail] = c05ay(a, b, eps, eta, @f);
switch ifail
  case {0}
    fprintf('With eps = %10.2e, root = %14.5f\n', eps, x);
  case {2, 3}
    fprintf('With eps = %10.2e, final value = %14.5f\n', eps, x);
end

% diary off

function [result, user] = f(x, user)
  result = x - exp(-x);
