function c06gc_example

% diary c06gc_example.r
fprintf('c06gc example results\n\n');

x_r = [ 0.34907;  0.54890;  0.74776;  0.94459;  1.13850; 1.32850;  1.51370];
x_i = [-0.37168; -0.35669; -0.31175; -0.23702; -0.13274; 0.00074;  0.16298];

z = x_r + i*x_i;
disp('Complex data:');
disp(z);

[x_r, x_i, ifail] = c06ec(x_r, x_i);

z = x_r + i*x_i;
disp('Complex Fourier coeffients:');
disp(z);

[x_i, ifail] = c06gc(x_i);
[x_r, x_i, ifail] = c06ec(x_r, x_i);
[x_i, ifail] = c06gc(x_i);

z = x_r + i*x_i;
disp('Retrieved complex data:');
disp(z);

% diary off
