function c06pc_example

% diary c06pc_example.r
fprintf('c06pc example results\n\n');

direct = 'F';
x = [ 0.34907 - 0.37168i;
      0.54890 - 0.35669i;
      0.74776 - 0.31175i;
      0.94459 - 0.23702i;
      1.13850 - 0.13274i;
      1.32850 + 0.00074i;
      1.51370 + 0.16298i];

[xt, ifail] = c06pc(direct, x);

disp('Discrete Fourier Transform of x:');
disp(xt);

% Restore x by inverse transform
direct = 'B';
[xr, ifail] = c06pc(direct, xt);

fprintf('Original sequence as restored by inverse transform\n\n');
fprintf('       Original          Restored\n');
z = [x xr];
disp(z);

% diary off
