function c06px_example

% diary c06px_example.r
fprintf('c06px example results\n\n');

n1 = nag_int(2);
n2 = nag_int(3);
n3 = nag_int(4);
x = cat(4,[1             0.994-0.111i  0.903-0.430i;
           0.500+0.500i  0.494+0.111i  0.403+0.430i], ...
          [0.999-0.040i  0.989-0.151i  0.885-0.466i;
           0.499+0.040i  0.489+0.151i  0.385+0.466i], ...
          [0.987-0.159i  0.963-0.268i  0.823-0.568i;
           0.487+0.159i  0.463+0.268i  0.323+0.568i], ...
          [0.936-0.352i  0.891-0.454i  0.694-0.720i; 
           0.436+0.352i  0.391+0.454i  0.194+0.720i]);
      
direct = 'F';
[xt, ifail] = c06px(direct, n1, n2, n3, x);
direct = 'B';
[xr, ifail] = c06px(direct, n1, n2, n3, xt);

disp('Original data:');
disp(x);      
disp(' ');
disp('Components of discrete Fourier transform:');
disp(xt);
disp(' ');
disp('Original sequence as restored by inverse transform:');
disp(xr);

% diary off
