function c06rh_example

% diary c06rh_example.r
fprintf('c06rh example results\n\n');

% Discrete quarter-wave cosine transform of 3 sequences of length 6
m = nag_int(3);
n = nag_int(6);
x = [ 0.3854   0.5417   0.9172; 
      0.6772   0.2983   0.0644; 
      0.1138   0.1181   0.6037; 
      0.6751   0.7255   0.6430; 
      0.6362   0.8638   0.0428; 
      0.1424   0.8723   0.4815];

idir = nag_int(1);
[x, ifail] = c06rh(idir, n, x);
disp('X under discrete quarter-wave cosine transform');
disp(x);

idir = -idir;
[x, ifail] = c06rh(idir, n, x);
disp('X reconstructed by inverse quarter-wave cosine transform');
disp(x);

% diary off
