function d05bw_example

% diary d05bw_example.r
fprintf('d05bw example results\n\n');

method = 'BDF';
iorder = nag_int(4);
nomg = nag_int(10);
nwt = nag_int(4);
[omega, lensw, sw, ifail] = d05bw( ...
				   method, iorder, nomg, nwt);

fprintf('\nThe convolution weights\n\n');
n = [0:double(nomg)-1]';
fprintf('%3d    %10.4f\n',[n omega]');

fprintf('\nThe weights W\n\n');
n = [1:double(lensw)]';
fprintf('%3d    %10.4f%10.4f%10.4f%10.4f\n',[n sw]');

% diary off
