function e01rb_example

% diary e01rb_example.r
fprintf('e01rb example results\n\n');

% Calculate rational approximation coefficients
x = [0:4];
f = [4   2   4   7   10.4];

[m, a, u, ifail] = e01ra( ...
                          x, f);

% Evaluate at single point
x = 6;
[f, ifail] = e01rb( ...
                    a, u, x, 'm', m);

fprintf('x    = %12.4e\n',x);
fprintf('R(x) = %12.4e\n',f);

% diary off
