function e04np_example

% diary e04np_example.r
fprintf('e04np example results\n\n');

start = 'C';
m     = nag_int(8);
n     = nag_int(7);
lenc  = nag_int(0);
ncolh = nag_int(7);
iobj  = nag_int(8);
objadd = 0;
prob  = '        ';
% A elements by column
a     = [ 0.02;  0.02;  0.03;    1;     0.7;     0.02;     0.15; -200;
          0.06;  0.75;  0.03;    0.04;  0.05;    0.04;     1;    -2000;
          0.02;  1;     0.01;    0.08;  0.08;    0.8;  -2000;
          1;     0.12;  0.02;    0.02;  0.75;    0.04; -2000;
          0.01;  0.8;   0.02;    1;     0.02;    0.06;     0.02; -2000;
          1;     0.01;  0.01;    0.97;  0.01;  400;
          0.97;  0.03;  1;     400];
% Row indices of nonzero elments of A
irow   = nag_int([ 7; 5; 3; 1; 6; 4; 2; 8;
                   7; 6; 5; 4; 3; 2; 1; 8;
                   2; 1; 4; 3; 7; 6; 8;
                   1; 7; 3; 4; 6; 2; 8;
                   5; 6; 7; 1; 2; 3; 4; 8;
                   1; 2; 3; 6; 7; 8;
                   7; 2; 1; 8]);
% Index in a of start of column
icolzp = nag_int([1;9;17;24;31;39;45;49]);

% Bounds on variables and constraints
bl(1:n)     = [   0;    0; 400;  100;     0;   0;   0;];
bu(1:n)     = [ 200; 2500; 800;  700;  1500;1e25;1e25];
bl(n+1:n+m) = [2000;-1e25;-1e25;-1e25;-1e25;1500; 250;-1e25];
bu(n+1:n+m) = [2000;   60; 100;   40;    30;1e25; 300; 1e25];
c = [0];
names = {' '};
helast = zeros(m+n,1,nag_int_name);
hs     = zeros(m+n,1,nag_int_name);
x      = zeros(m+n,1);
ns     = nag_int(0);
% Initialize and set options
[cw, iw, rw, ifail] = e04np;
[cw, iw, rw, ifail] = e04ns('NoList', cw, iw, rw);
[cw, iw, rw, ifail] = e04ns('Print Level = 0', cw, iw, rw);
[hs, x, pi, rc, ns, ninf, sinf, obj, cuser, cw, iw, rw, ifail] = ...
     e04nq(...
           start, @qphx, m, n, lenc, ncolh, iobj, objadd, prob, a, ...
           irow, icolzp, bl, bu, c, names, helast, hs, x, ns, cw, iw, rw);
fprintf('Minimum value     :  %10.1f\n\n',obj);
fprintf('Found at x:\n   ');
fprintf(' %8.1f',x(1:n));
fprintf('\nLinear contrained values Ax:\n   ');
fprintf(' %8.1f',x(n+1:n+m));
fprintf('\n');

% diary off

function [hx, user] = qphx(ncolh, x, nstate, user)
  hx = zeros(ncolh, 1);

  hx(1) = 2*x(1);
  hx(2) = 2*x(2);
  hx(3) = 2*(x(3)+x(4));
  hx(4) = hx(3);
  hx(5) = 2*x(5);
  hx(6) = 2*(x(6)+x(7));
  hx(7) = hx(6);
