function f01br_example

% diary f01br_example.r
fprintf('f01br example results\n\n');

n       = nag_int(6);
nz      = nag_int(15);
nzmax   = nag_int(20);
irn     = zeros(nzmax,1,nag_int_name);
icn     = zeros(nzmax,1,nag_int_name);
a       = zeros(nzmax,1);
a(1:nz) = [5; 2; -1; 2; 3; -2; 1; 1; -1; -1; 2; -3; -1; -1; 6];
irn(1:nz) = nag_int([1;2;2;2;3; 4;4;4;5;5; 5;5;6;6;6]);
icn(1:nz) = nag_int([1;2;3;4;3; 1;4;5;1;4; 5;6;1;2;6]);
abort   = [true; true;  false; true];

[a, irn, icn, ikeep, w, idisp, ifail] = ...
  f01br(...
        n, nz, a, irn, icn, abort);

fprintf('Number of non-zeros in factorization = %4d\n',idisp(2));
fprintf('Upper bound on rank of A             = %4d\n',idisp(5));

% diary off
