function f01ff_example

% diary f01ff_example.r
fprintf('f01ff example results\n\n');

uplo = 'u';
a = [ 1,  2 + 1i,  3 + 2i,  4 + 3i;
      0,  1 + 0i,  2 + 1i,  3 + 2i;
      0,       0,  1 + 0i,  2 + 1i;
      0,       0,       0,  1 + 0i];

% Compute f(a)
[cosa, user, iflag, ifail] = ...
f01ff(uplo, a, @f);

% Display results
[ifail] = x04da( ...
                 uplo, 'n', cosa, 'Hermitian f(A) = cos(A)');

% diary off

function [iflag, fx, user] = f(iflag, n, x, user)
  fx = cos(x);
