function f01kf_example

% diary f01kf_example.r
fprintf('f01kf example results\n\n');

% Principal power p of matrix A and Frechet derivative of A^pE.

a = [ 2   3    2    1+3i;
      2+i 1    1    2+ i;
      0+i 2+2i 0+2i 0+4i;
      3   0+ i 3    1];

e = [ 0+i 3    2    1+3i;
      0+i 1    3+3i 0+ i;
      0+i 2+2i 0+2i 0;
      2   0+ i 1    1];

p = 0.2;

[pa, lpae, ifail] = f01kf(a,e,p);

disp('A^p:');
disp(pa);

disp('L_p(A,E):');
disp(lpae);

% diary off
