function f01mc_example

% diary f01mc_example.r
fprintf('f01mc example results\n\n');

a = [1;
     2;     5;
            3;     13;
                           16;
     5;    14;     18;      8;     55;
                   24;     17;     77];
nrow = [nag_int(1);  2; 2; 1; 5; 3];

% Factorize
[L, D, ifail] = f01mc(a, nrow);

% Display
fprintf('    D                    L\n');
k = 0;
for i = 1:6
  fprintf(' %6.3f    ',D(i));
  for j = 1:i-nrow(i)
    fprintf('%8s',' ');
  end
  fprintf('%8.3f',L(k+1:k+nrow(i)));
  fprintf('\n');
  k = k + nrow(i);
end

% diary off
