function f01vb_example

% diary f01vb_example.r
fprintf('f01vb example results\n\n');

uplo = 'u';
a = [1.1000 + 1.1000i,  1.2000 + 1.2000i,  1.3000 + 1.3000i,  1.4000 + 1.4000i;
        0,              2.2000 + 2.2000i,  2.3000 + 2.3000i,  2.4000 + 2.4000i;
        0,                  0,             3.3000 + 3.3000i,  3.4000 + 3.4000i;
        0,                  0,                  0,            4.4000 + 4.4000i];
% Print the unpacked matrix
fprintf('\n');
[ifail] = x04db(uplo, 'n', a, 'b', 'f5.2', 'Unpacked matrix a:', 'i', ...
                'i', nag_int(80), nag_int(0));
% Convert to packed vector form
[ap, info] = f01vb(uplo, a);
% Print the packed vector
fprintf('\n');
[ifail] = x04db('g', 'x', ap, 'b', 'f5.2', 'Packed matrix ap:', 'i', ...
                'n', nag_int(80), nag_int(0));

% diary off
