function f02ec_example

% diary f02ec_example.r
fprintf('f02ec example results\n\n');

a = [ 0.35,  0.45, -0.14, -0.17;
      0.09,  0.07, -0.54,  0.35;
     -0.44, -0.33, -0.03,  0.17;
      0.25, -0.32, -0.13,  0.11];

% Find eigenvalues of A such that 0.2 <= |eig| <= 0.5
crit = 'Moduli';
wl   = 0.2;
wu   = 0.5;
mest = nag_int(3);

[a, m, wr, wi, vr, vi, ifail] = f02ec( ...
                                       crit, a, wl, wu, mest);

evals = wr(1:m) + i*wi(1:m);
disp('Eigenvalues');
disp(evals);

evecs = vr(:,1:m) + i*vi(:,1:m);
disp('Eigenvectors');
disp(evecs);

% diary off
