function f04zc_example

% diary f04zc_example.r
fprintf('f04zc example results\n\n');

a = [ 1.0 + 1.0i,  2.0 + 1.0i,  1.0 + 2.0i,  0.0 + 0.0i,  0.0 + 0.0i;
      0.0 + 2.0i,  3.0 + 5.0i,  1.0 + 3.0i,  2.0 + 1.0i,  0.0 + 0.0i,
      0.0 + 0.0i, -2.0 + 6.0i,  5.0 + 7.0i,  0.0 + 6.0i,  1.0 - 1.0i;
      0.0 + 0.0i,  0.0 + 0.0i,  3.0 + 9.0i,  0.0 + 4.0i,  4.0 - 3.0i;
      0.0 + 0.0i,  0.0 + 0.0i,  0.0 + 0.0i, -1.0 + 8.0i, 10.0 - 3.0i];

x     = complex(zeros(5, 1));
work  = complex(zeros(5,1));
anorm = norm(a,1);
icase = nag_int(0);
estnrm = 0;

done = false;
while (~done)
  [icase, x, estnrm, work, ifail] = ...
    f04zc(icase, x, estnrm, work);
  if (icase == 0)
    done = true;
  elseif (icase == 1)
    x = inv(a)*x;
  else
    x = conj(transpose(inv(a)))*x;
  end
end
fprintf('Computed norm of a              = %6.4g\n', anorm);
fprintf('Estimated norm of inverse(A)    = %6.4g\n', estnrm);
fprintf('Estimated condition number of A = %6.1f\n', estnrm*anorm);

% diary off
