function f07cd_example

% diary f07cd_example.r
fprintf('f07cd example results\n\n');

% Tridiagonal matrix A stored as diagonals:
du = [        2.1    -1.0      1.9     8.0];
d  = [3.0     2.3    -5.0     -0.9     7.1];
dl = [3.4     3.6     7.0     -6.0        ];
n  = numel(d);

% Factorize A.
[dlf, df, duf, du2f, ipiv, info] = ...
  f07cd(dl, d, du);

disp('Details of factorization');
fprintf('\n');
disp(' Second super-diagonal of U');
fprintf('%9.4f', du2f);
fprintf('\n\n');
disp(' First super-diagonal of U');
fprintf('%9.4f', duf);
fprintf('\n\n');
disp(' Main diagonal of U');
fprintf('%9.4f', df);
fprintf('\n\n');
disp(' Multipliers');
fprintf('%9.4f', dlf);
fprintf('\n\n');
disp(' Vector of interchanges');
fprintf('%9d', ipiv);
fprintf('\n');

% diary off
