function f07ha_example

% diary f07ha_example.r
fprintf('f07ha example results\n\n');

% Symmetric A (one lower/upper off-diagonal) in banded form 
uplo = 'U';
kd = nag_int(1);
m  = nag_int(4);
ab = [0,    2.68, -2.39, -2.22;
      5.49, 5.63,  2.6,   5.17];

% RHS
b = [22.09;
      9.31;
     -5.24;
     11.83];

% Solve Ax = b
[abf, x, info] = f07ha( ...
                        uplo, kd, ab, b);

disp('Solution');
disp(x');

kl = nag_int(0);
[ifail] = x04ce( ...
                 m, m, kl, kd, abf, 'Cholesky factor U');

% diary off
