function f07hd_example

% diary f07hd_example.r
fprintf('f07hd example results\n\n');

% Symmetric A (one lower/upper off-diagonal) in banded form 
uplo = 'Lower';
kd = nag_int(1);
n  = nag_int(4);
ab = [5.49,  5.63,  2.60, 5.17;
      2.68, -2.39, -2.22, 0.00];

% Factorize
[abf, info] = f07hd( ...
                     uplo, kd, ab);

ku = nag_int(0);
[ifail] = x04ce( ...
                 n, n, kd, ku, abf, 'Cholesky factor');

% diary off
