function f07jg_example

% diary f07jg_example.r
fprintf('f07jg example results\n\n');

% Symmetric tridiagonal A stored as two diagonals
d = [ 4     10     29     25     5];
e = [-2     -6     15     8       ];

[df, ef, info] = f07jd( ...
                        d, e);

% Construct matrix an with same 1-norm
an = [0 e; d; e 0];
anorm = norm(an,1);

% Get reciprocal condition number
[rcond, info] = f07jg( ...
                       df, ef, anorm);

fprintf('Condition number of A = %7.2e\n',1/rcond);

% diary off
