function f07te_example

% diary f07te_example.r
fprintf('f07te example results\n\n');

% Solve AX=B where A is Lower triangular
a = [ 4.30,  0,     0,    0;
     -3.96, -4.87,  0,    0;
      0.40,  0.31, -8.02, 0;
     -0.27,  0.07, -5.95, 0.12];
b = [-12.90, -21.50;
      16.75,  14.93;
     -17.55,   6.33;
     -11.04,   8.09];

uplo = 'L';
trans = 'N';
diag = 'N';

% Solve
[x, info] = f07te( ...
                   uplo, trans, diag, a, b);

% Display solution
[ifail] = x04ca( ...
                 'Gen', diag, x, 'Solution(s)');

% diary off
