function f08fb_example

% diary f08fb_example.r
fprintf('f08fb example results\n\n');

% Eigenvalues between -1 and 1 of A, and corresponding eigenvectors. 
a = [1, 2, 3, 4;
     0, 2, 3, 4;
     0, 0, 3, 4;
     0, 0, 0, 4];

jobz  = 'Vectors';
range = 'Values in range';
uplo  = 'Upper';
vl = -1;
vu =  1;
il = nag_int(0);
iu = nag_int(0);
abstol = 0;
[~, m, w, z, jfail, info] = ...
  f08fb(...
        jobz, range, uplo, a, vl, vu, il, iu, abstol);

fprintf('Number of eigenvalues in [-1,1] is %2d\n',m);
fprintf(' Eigenvalues are:\n   ');
fprintf(' %7.4f',w(1:m));
fprintf('\n\n');

[ifail] = x04ca( ...
		 'General', ' ', z, 'Corresponding eigenvectors of A');

% diary off
