function f08ga_example

% diary f08ga_example.r
fprintf('f08ga example results\n\n');

% A is symmetric matrix stored in symmetric (Upper) packed format
uplo = 'U';
n = nag_int(4);
ap = [1;
      2;   2;
      3;   3;   3;
      4;   4;   4;   4];

% Eigenvalues of A only
jobz = 'No vectors';
[apf, w, ~, info] = f08ga( ...
                           jobz, uplo, n, ap);

disp('Eigenvalues');
disp(w');

% Eigenvalue error bound
errbnd = x02aj*max(abs(w(1)),abs(w(end)));
disp('Error estimate for the eigenvalues');
fprintf('%11.1e\n',errbnd);

% diary off
