function f08ls_example

% diary f08ls_example.r
fprintf('f08ls example results\n\n');

% Banded complex matrix A stored in banded format
m  = nag_int(6);
n  = nag_int(4);
kl = nag_int(2);
ku = nag_int(1);
ab = [ 0.00 + 0.00i, -0.03 + 0.96i, -0.66 + 0.42i, -1.11 + 0.60i;
       0.96 - 0.81i, -1.20 + 0.19i,  0.63 - 0.17i,  0.22 - 0.20i;
      -0.98 + 1.98i,  1.01 + 0.02i, -0.98 - 0.36i,  1.47 + 1.59i;
       0.62 - 0.46i,  0.19 - 0.54i, -0.17 - 0.46i,  0.26 + 0.26i];

% Reduce A to bidiagonal form
c = [];
vect = 'No Q or PT';
[~, d, e, ~, ~, ~, info] = f08ls( ...
                                  vect, m, kl, ku, ab, c);

fprintf('Diagonal:\n');
fprintf(' %8.4f',d);
fprintf('\nOff-diagonal (absolute values):\n');
fprintf(' %8.4f',abs(e));
fprintf('\n');

% diary off
