function f08me_example

% diary f08me_example.r
fprintf('f08me example results\n\n');

% Bidiagonal matrix B stored as diagonal and upper-diagonal
n = 4;
d = [3.62;     -2.41;     1.92;     -1.43];
e = [1.26;     -1.53;     1.19];

% SVD of B
vt = eye(4);
u  = vt;
c  = [];
uplo = 'U';
[s, ~, vt, u, c, info] = f08me( ...
                                uplo, d, e, vt, u, c);

disp('Singular values');
disp(s');
disp('Right singular vectors, by row');
disp(vt);
disp('Left singular vectors, by column');
disp(u);

% diary off
