function f08zp_example

% diary f08zp_example.r
fprintf('f08zp example results\n\n');

a = [ 0.96 - 0.81i, -0.03 + 0.96i, -0.91 + 2.06i;
     -0.98 + 1.98i, -1.20 + 0.19i, -0.66 + 0.42i;
      0.62 - 0.46i,  1.01 + 0.02i,  0.63 - 0.17i;
      1.08 - 0.28i,  0.20 - 0.12i, -0.07 + 1.23i];
b = [ 0.5 - 1i,  0 + 0i,  0 + 0i,  0 + 0i;
      0   + 0i,  1 - 2i,  0 + 0i,  0 + 0i;
      0   + 0i,  0 + 0i,  2 - 3i,  0 + 0i;
      0   + 0i,  0 + 0i,  0 + 0i,  5 - 4i];
d = [ 6.00 - 0.40i;
     -5.27 + 0.90i;
      2.72 - 2.13i;
     -1.30 - 2.80i];

%Solve complex general Guass-Markov linear model
[~, ~, ~, x, y, info] = f08zp( ...
                               a, b, d);


disp('Weighted least-squares solution');
disp(x);
ncols  = nag_int(80);
indent = nag_int(0);
[ifail] = x04db( ...
                 'Gen', ' ', y, 'B', '1P,E10.2', 'Residual vector', ...
                 'N', 'N', ncols, indent);
sqres = norm(y,2);
fprintf('\nSquare root of the residual sum of squares\n%11.2e\n', ...
        sqres);

% diary off
