function g01ab_example

% diary g01ab_example.r
fprintf('g01ab example results\n\n');

x1 = [350     550     380     510    1270     300    2630     810 ...
      140     450    2280     250     540     720      90     480 ...
      180    3160     220     860     300    1460     400     620 ...
      120     780     230    1070     160];
x2 = [ 47      95     211     122     530      38     278     309 ...
       75      43     407     142      89     159      35     103 ...
       78     969     120     333      73     147      30     100 ...
       55     145     101     468      86];
n = size(x1,2);

[res, ifail] = g01ab(x1, x2);

fprintf('Number of cases    %7d\n',n);
fprintf('Data as input -\n');
v1 = 'Var  1';
v2 = 'Var  2';
fprintf('%12s%12s%12s%12s%12s%12s\n', v1, v2, v1, v2, v1, v2);
fprintf('%12.1f%12.1f%12.1f%12.1f%12.1f%12.1f\n',[x1; x2])
fprintf('\n\n');
fprintf('No. of valid cases %7d\n\n',n);
fprintf('%30s%30s\n', 'Variable 1', 'Variable 2');
fprintf('Mean               %11.1f%30.1f\n',res(1:2));
fprintf('Minimum            %11.1f%30.1f\n',res(9:2:11));
fprintf('Maximum            %11.1f%30.1f\n',res(10:2:12));
fprintf('Standard deviation %11.1f%30.1f\n',res(3:4));
fprintf('Sum of squares     %11.1f%30.1f\n',res(5:2:7));
fprintf('Sum of weights     %26.4f\n',res(13));
fprintf('Sum of products    %26.4f\n',res(6));
fprintf('Correlation        %26.4f\n',res(8));

% diary off
