function g01ed_example

% diary g01ed_example.r
fprintf('g01ed example results\n\n');

% Lower tail probabilities for F distribution
f   = [ 5.5; 39.9;  2.50];
df1 = [ 1.5;  1.0; 20.25]; 
df2 = [25.5;  1.0;  1.00];
tail = {'Lower'; 'Lower'; 'Lower';};

fprintf('  Tail    F      df1     df2    probability\n');
for j = 1:numel(f);

  [p, ifail] = g01ed( ...
                      f(j), df1(j), df2(j), 'tail', tail{j});

  fprintf('%4s%8.3f%8.1f%8.1f%12.4f\n',tail{j}(1), f(j), df1(j), df2(j), p);
end

% diary off
