function g01em_example

% diary g01em_example.r
fprintf('g01em example results\n\n');

% Probability for Studentized range statistic distribution
q  = [ 4.6543;  2.8099; 4.2636];
v  = [10;      60.0;    5.0];
ir = [nag_int(5); 12;   4];

fprintf('   q       v     ir    probability\n');
for j = 1:numel(q);

  [p, ifail] = g01em( ...
                      q(j) , v(j),  ir(j));

  fprintf('%8.4f%6.1f%4d%12.4f\n', q(j), v(j), ir(j), p);
end

% diary off
