function g01ey_example

% diary g01ey_example.r
fprintf('g01ey example results\n\n');

% Upper tail probabilities for 1-sample Kolmogorov–Smirnov distribution.
n = zeros(10,1,nag_int_name);
n(1: 5) = 10;
n(6:10) = 400; 
d = [0.323; 0.369; 0.409; 0.457; 0.489; 0.0535; 0.061; 0.068; 0.076; 0.0815];

fprintf('     d       n    one-sided probability\n');
for j = 1:numel(d)

  [p, ifail] = g01ey( ...
                       n(j), d(j));

  fprintf('%8.4f%6d%17.4f\n', d(j), n(j), p);
end

% diary off
