function g01hc_example

% diary g01hc_example.r
fprintf('g01hc example results\n\n');

a     = [-Inf    -Inf;
	  -40       0;
           -2       8];
b     = [   4       0.8;
	    2       4;
          Inf     Inf];
tail = {'L'; 'C'; 'U'};
df    = nag_int([   8;     12;      2   ]);
rho   = [   0.6;   -0.2;    0.3 ];
p     = rho;

fprintf('%9s%12s%12s%12s%7s%6s%6s%4s\n', 'a(1)', 'b(1)', 'a(2)', ...
	'b(2)', 'df', 'rho','tail', 'p');
for j = 1:numel(df)
  if tail{j}=='L'
    [p(j), ifail] = g01hc( ...
			   df(j), rho(j), 'b', b(j,:));
  elseif tail{j}=='C'
    [p(j), ifail] = g01hc( ...
			   df(j), rho(j), 'a', a(j,:), 'b', b(j,:));
  else
    [p(j), ifail] = g01hc( ...
			   df(j), rho(j), 'a', a(j,:));
  end
  fprintf('%12.4e%12.4e%12.4e%12.4e%4d%7.4f%5s%7.4f\n', a(j,1), b(j,1), ...
	  a(j,2), b(j,2), df(j), rho(j), tail{j}, p(j));
end

% diary off
