function g01tb_example

% diary g01tb_example.r
fprintf('g01tb example results\n\n');

p    = [0.01; 0.01; 0.99];
df   = [20;   7.5;  45];
tail = {'S';  'L';  'C'};
[x, ivalid, ifail] = g01tb( ...
                            tail, p, df);

fprintf('     p      df    tail      x\n');
lp    = numel(p);
ldf   = numel(df);
ltail = numel(tail);
len   = max ([lp, ldf, ltail]);
for i=0:len-1
 fprintf('%8.3f%8.3f   %c   %8.3f\n', p(mod(i,lp)+1), df(mod(i,ldf)+1), ...
         tail{mod(i,ltail)+1}, x(i+1));
end

% diary off
