function g02bb_example

% diary g02bb_example.r
fprintf('g02bb example results\n\n');

x = [ 2,  3, 3;
      4,  6, 4;
      9,  9, 0;
      0, 12, 2;
     12, -1, 5];
[n,m] = size(x);
fprintf('Number of variables (columns) = %d\n', m);
fprintf('Number of cases     (rows)    = %d\n\n', n);
disp('Data matrix is:-');
disp(x);

miss  = [nag_int(1); 0; 1];
xmiss = [0;          0; 0];
[xbar, std, ssp, r, ncases, ifail] = ...
  g02bb(x, miss, xmiss);

fprintf('Variable   Mean     St. dev.\n');
fprintf('%5d%11.4f%11.4f\n',[[1:m]' xbar std]');
fprintf('\nSums of squares and cross-products of deviations\n');
disp(ssp)
fprintf('Correlation coefficients\n');
disp(r);
fprintf('Number of cases actually used  = %d\n', ncases);

% diary off
