function g02bw_example

% diary g02bw_example.r
fprintf('g02bw example results\n\n');

wt = [  0.1300   1.3070   0.3700];
x  = [  9.1231   3.7011   4.5230;
        0.9310   0.0900   0.8870;
        0.0009   0.0099   0.0999];

[m, n] = size(x);
m      = nag_int(m);

% Calculate the sums of squares and cross-products matrix
[sw, wmean, c, ifail] = g02bu(x, 'wt', wt);

% Calculate the correlation matrix
[r, ifail] = g02bw(m, c);

mtitle = 'Correlation matrix:';
uplo   = 'Upper';
diag   = 'Non-unit';
[ifail] = x04cc( ...
                 uplo, diag, m, r, mtitle);

% diary off
