function g05kf_example

% diary g05kf_example.r
fprintf('g05kf example results\n\n');

% Initialize the seed
seed = [nag_int(1762543)];

% genid and subid identify the base generator
genid = nag_int(1);
subid = nag_int(1);

% Initialize the generator to a repeatable sequence
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% The number of pseudorandom numbers to be generated
n = nag_int(5);

% Generate the variates
[state, x, ifail] = g05sa( ...
                           n, state);

% Display variates
disp(x);

% diary off
