function g05kj_example

% diary g05kj_example.r
fprintf('g05kj example results\n\n');

% Initialize the seed
seed = [nag_int(1762543)];

% genid and subid identify the base generator
genid = nag_int(1);
subid =  nag_int(1);
lseed =  nag_int(1);

% Initialize the generator to a repeatable sequence
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Advance the sequence n places
n = nag_int(50);
[state, ifail] = g05kj( ...
                        n, state);

% Generate nv variates from a uniform distribution
nv = nag_int(5);
[state, x, ifail] = g05sa(...
                          nv, state);

% Display variates
disp(x);

% diary off
