function g05re_example

% diary g05re_example.r
fprintf('g05re example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Sample size and order
n      = nag_int(13);
sorder = nag_int(1);

% Parameter
theta = -0.8;

% Generate variates
[state, x, ifail] = g05re( ...
                           n, theta, sorder, state);

disp('Variates from bivariate Clayton/Cook–Johnson copula');
disp(x);

% diary off
