function g05rf_example

% diary g05rf_example.r
fprintf('g05rf example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Sample size and order
n      = nag_int(13);
sorder = nag_int(1);

% Parameter
theta = -12;

% Generate variates
[state, x, ifail] = g05rf( ...
                           n, theta, sorder, state);

disp('Variates from a bivariate Frank copula');
disp(x);

% diary off
