function g05sb_example

% diary g05sb_example.r
fprintf('g05sb example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
a = 2;
b = 2;

% Generate variates from beta distribution
[state, x, ifail] = g05sb( ...
                           n, a, b, state);

disp('Variates');
disp(x);

% diary off
