function g05sm_example

% diary g05sm_example.r
fprintf('g05sm example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
xmu = 1;
var = 2;

% Generate variates from a Log-Normal distribution
[state, x, ifail] = g05sm( ...
                           n, xmu, var, state);

disp('Variates');
disp(x);

% diary off
