function g05tc_example

% diary g05tc_example.r
fprintf('g05tc example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(10);

% Parameters
p = 0.001;

% Generate variates from a geometric distribution withouut reference vector
mode = nag_int(3);
r    = [0];
[r, state, x, ifail] = g05tc( ...
                              mode, n, p, r, state);

disp('Variates');
disp(double(x));

% diary off
