function g05yk_example

% diary g05yk_example.r
fprintf('g05yk example results\n\n');

% Initialize the Sobol generator, skipping some variates
iskip = nag_int(1000);
idim  = nag_int(4);
genid = nag_int(1);
% Initialize the Sobol generator
[iref, ifail] = g05yl( ...
                       genid,idim,iskip);

% Number of variates
n = nag_int(5);

% Parameters
xmean = [1; 2; 3; 4];
std = [1; 1; 1; 1];

% Generate n values from the log-normal distribution
[quasi, iref, ifail] = g05yk( ...
                              xmean, std, n, iref);

disp('Variates');
disp(quasi);

% diary off
