function g07db_example

% diary g07db_example.r
fprintf('g07db example results\n\n');

x = [13; 11; 16;  5;  3; 18;  9;  8;  6; 27;  7];


ipsi = nag_int(2);
c  = 0;
h1 = 1.5;
h2 = 3;
h3 = 4.5;
dchi = 1.5;
tol = 0.0001;

% Loop over input values for isigma sigma and theta
isigma = nag_int([ 1  1  0  0]);
sigma  =         [-1  7 -1  7];
theta  =         [ 0  2  0  2];

fprintf('           Input parameters     Output parameters\n');
fprintf(' isigma   sigma   theta   tol    sigma  theta\n');
for j = 1:numel(theta)

  fprintf('%3d   %8.4f%8.4f%8.4f', isigma(j), sigma(j), theta(j), tol);

  [thetaOut, sigmaOut, rs, nit, wrk, ifail] = ...
  g07db( ...
         isigma(j), x, ipsi, c, h1, h2, h3, dchi, theta(j), sigma(j), tol);

  fprintf(' %8.4f%8.4f\n', sigmaOut, thetaOut);
end

% diary off
