function g08ag_example

% diary g08ag_example.r
fprintf('g08ag example results\n\n');

% Data
x = [82 69 73 43 58 56 76 65];
y = [63 42 74 37 51 43 80 62];

fprintf('Wilcoxon one sample signed ranks test\n\n');
fprintf('Data values\n   ');
fprintf('%5.1f', x);
fprintf('\n   ');
fprintf('%5.1f', y);
fprintf('\n\n');

% Control parameters
xme = 0;
tail = 'Two-tail';
zer = 'Nozeros';

% z = differences
z = x - y;

[w, wnor, p, n1, ifail] = g08ag( ...
                                 z, xme, tail, zer);

fprintf('Test statistic            = %8.4f\n', w);
fprintf('Normalized test statistic = %8.4f\n', wnor);
fprintf('Degrees of freedom        = %3d\n', n1);
fprintf('Two tail probability      = %8.4f\n', p);

% diary off
