function g12ab_example

% diary g12ab_example.r
fprintf('g12ab example results\n\n');

t = [  6;  13;  21; 30; 31; 37; 38; 47; 49; 50; 63; 79; 80; 82; 82;  86;  98;
     149; 202; 219; 10; 10; 12; 13; 14; 15; 16; 17; 18; 20; 24; 24;  25;  28;
      30;  33;  34; 35; 37; 40; 40; 40; 46; 48; 70; 76; 81; 82; 91; 112; 181];
n = numel(t);

ic   = zeros(n,1,nag_int_name);
ic(5)  = 1; ic(8)  = 1; ic(13:15) = 1;
ic(18) = 1; ic(37) = 1; ic(42)    = 1;
ic(45) = 1;

grp = ones(n,1,nag_int_name);
grp(21:end) = 2;
ngrp = nag_int(2);

freq = 's';
weight = 'u';

% Calculate the statistic
[ts, df, p, obsd, expt, nd, di, ni, ifail] = ...
  g12ab( ...
         t, ic, grp, ngrp, freq, weight);

% Display Results
fprintf('           Observed  Expected\n');
for i=1:ngrp
  fprintf(' Group %d %8.2f  %8.2f\n', i, obsd(i), expt(i));
end
fprintf('\n No. Unique Failure Times = %d\n\n', nd);
fprintf(' Test Statistic           = %8.4f\n', ts);
fprintf(' Degrees of Freedom       = %3d\n', df);
fprintf(' p-value                  = %8.4f\n', p);

% diary off
