function m01ec_example

% diary m01ec_example.r
fprintf('m01ec example results\n\n');

ch    = {'a02aa'; 'a02ab';  'a02ak'; 'c02al'; 'c02am'; 'c05au'; ...
         'c05av'; 'c05aw';  'c05ax'; 'c05ay'; 'c05az'};

ifreq = [nag_int(289)  523        531       169       599      1351   ...
             240       136        211       183      2181];

% Rank by decreasing frequency
m1 = nag_int(1);
order = 'Descending';
[irank, ifail] = m01db(ifreq, m1, order);

% Order routine names
[ch, irank, ifail] = m01ec(ch, m1, irank);

fprintf('Names in order of frequency\n\n');
for i = 1:numel(ch)
  fprintf('%s\n',char(ch{i}));
end

% diary off
