function nag_correg_coeffs_pearson_example

% diary nag_correg_coeffs_pearson_example.r
fprintf('nag_correg_coeffs_pearson example results\n\n');

x = [ 2,  3, 3;
      4,  6, 4;
      9,  9, 0;
      0, 12, 2;
     12, -1, 5];
[n,m] = size(x);
fprintf('Number of variables (columns) = %d\n', m);
fprintf('Number of cases     (rows)    = %d\n\n', n);
disp('Data matrix is:-');
disp(x);

[xbar, std, ssp, r, ifail] = nag_correg_coeffs_pearson( ...
                                    x);

fprintf('Variable   Mean     St. dev.\n');
fprintf('%5d%11.4f%11.4f\n',[[1:m]' xbar std]');
fprintf('\nSums of squares and cross-products of deviations\n');
disp(ssp)
fprintf('Correlation coefficients\n');
disp(r);

% diary off
