function nag_correg_linregm_stat_durbwat_example

% diary nag_correg_linregm_stat_durbwat_example.r
fprintf('nag_correg_linregm_stat_durbwat example results\n\n');

res = [ 3.735719   0.912755   0.683626   0.416693   1.990200 ...
       -0.444816  -1.283088  -3.666035  -0.426357  -1.918697];

ip = nag_int(2);

% Calculate statistic
[d, pdl, pdu, ifail] = nag_correg_linregm_stat_durbwat(ip, res);

% Display the results
fprintf(' Durbin-Watson statistic %10.4f\n\n', d);
fprintf(' Lower and upper bound   %10.4f%10.4f\n', pdl, pdu);

% diary off
