function nag_correg_linregm_stat_resinf_example

% diary nag_correg_linregm_stat_resinf_example.r
fprintf('nag_correg_linregm_stat_resinf example results\n\n');

res = [ 0.2660  -0.1387  -0.2971   0.5926  -0.4013   0.1396 ...
       -1.3173   1.1226   0.0321  -0.7111   0.3439  -0.4379 ...
        0.0633  -0.0936   0.9968   0.0209  -0.4056   0.1396 ...
        0.0327   0.2970  -0.2277   0.5180   0.5301  -1.0650 ];

h   = [ 0.5519   0.9746   0.6256   0.3144   0.4106   0.6268 ...
        0.5479   0.2325   0.4115   0.3577   0.3342   0.1673 ...
        0.3874   0.1705   0.3466   0.3743   0.7527   0.9069 ...
        0.2610   0.6256   0.2485   0.3072   0.5848   0.4794 ];

n  = nag_int(numel(res));
ip = nag_int(11);
rms  = 0.5798;

% Calculate standardised residuals
[sres, ifail] = nag_correg_linregm_stat_resinf( ...
                       n, ip, res, h, rms);

% Display results
fprintf('        Internally    Internally\n');
fprintf('Obs.   standardized  standardized   Cook''s D   Atkinson''s T\n');
fprintf('         residuals     residuals\n\n');
for j = 1:ip-1
  fprintf('%2d%13.3f%13.3f%13.3f%13.3f\n',j,sres(j,1:4))
end

% diary off
