function nag_correg_ssqmat_to_corrmat_example

% diary nag_correg_ssqmat_to_corrmat_example.r
fprintf('nag_correg_ssqmat_to_corrmat example results\n\n');

wt = [  0.1300   1.3070   0.3700];
x  = [  9.1231   3.7011   4.5230;
        0.9310   0.0900   0.8870;
        0.0009   0.0099   0.0999];

[m, n] = size(x);
m      = nag_int(m);

% Calculate the sums of squares and cross-products matrix
[sw, wmean, c, ifail] = nag_correg_ssqmat(x, 'wt', wt);

% Calculate the correlation matrix
[r, ifail] = nag_correg_ssqmat_to_corrmat(m, c);

mtitle = 'Correlation matrix:';
uplo   = 'Upper';
diag   = 'Non-unit';
[ifail] = nag_file_print_matrix_real_packed( ...
                 uplo, diag, m, r, mtitle);

% diary off
