function nag_det_real_gen_example

% diary nag_det_real_gen_example.r
fprintf('nag_det_real_gen example results\n\n');

a = [ 33,  16,  72;
     -24, -10, -57;
      -8,  -4, -17];
% Compute LU factorisation of a
[a, ipiv, info] = nag_lapack_dgetrf(a);

fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen('g', 'n', a, 'Array a after factorization');

fprintf('\nPivots:\n');
fprintf(' %d', ipiv);
fprintf('\n\n');

[d, id, ifail] = nag_det_real_gen(a, ipiv);

fprintf('d = %13.5f id = %d\n', d, id);
fprintf('Value of determinant = %13.5e\n', d*2^id);

% diary off
