function nag_file_open_example

% diary nag_file_open_example.r
fprintf('nag_file_open example results\n\n');

file = 'success.res';

% Associate unit number iounit=4 with filename success.res
iounit = nag_int(4);

% Open File for writing to
mode = nag_int(1);
[ifail] = nag_file_open(iounit, file, mode);

% write to file here via iounit using nag_file_line_write
fprintf('The file named %s was opened for writing on unit number %d\n\n', ...
        file,iounit);
 
% Close File associated with unit number iounit=4
[ifail] = nag_file_close(iounit);
fprintf('Unit number %d has been closed\n', iounit);

delete(file);

% diary off
