function nag_fit_glin_linf_example

% diary nag_fit_glin_linf_example.r
fprintf('nag_fit_glin_linf example results\n\n');

n = nag_int(3);
a = zeros(6, 6);
for i = 1:5
  a(1, i) = exp((i-1)/5);
  a(2, i) = exp(-(i-1)/5);
  a(3, i) = 1;
end
b = [4.501;   4.36;   4.333;   4.418;   4.625];
relerr = 0;

[a, b, relerr, x, resmax, irank, iter, ifail] = ...
  nag_fit_glin_linf(n, a, b, relerr);

fprintf('Resmax = %8.4f  Rank = %5d  Iterations = %5d\n\n', ...
	resmax, irank, iter);
disp('Solution:');
disp(x(1:irank)');

% diary off
