function nag_glopt_bnd_mcs_optget_int_example

% diary nag_glopt_bnd_mcs_optget_int_example.r
fprintf('nag_glopt_bnd_mcs_optget_int example results\n\n');

% Initialize comm array
[comm, ifail] = nag_glopt_bnd_mcs_init;

% See what the default values are for the various options
nf     = nag_glopt_bnd_mcs_optget_int('Function Evaluations Limit', comm);
infbnd = nag_glopt_bnd_mcs_optget_real('Infinite Bound Size', comm);
lcsrch = nag_glopt_bnd_mcs_optget_char('Local Searches', comm);
loclim = nag_glopt_bnd_mcs_optget_int('Local Searches Limit', comm);
loctol = nag_glopt_bnd_mcs_optget_real('Local Searches Tolerance', comm);
repeat = nag_glopt_bnd_mcs_optget_char('Repeatability', comm);
smax   = nag_glopt_bnd_mcs_optget_int('Splits Limit', comm);
stclim = nag_glopt_bnd_mcs_optget_int('Static Limit', comm);
objerr = nag_glopt_bnd_mcs_optget_real('Target Objective Error', comm);
objsfg = nag_glopt_bnd_mcs_optget_real('Target Objective Safeguard', comm);
objval = nag_glopt_bnd_mcs_optget_real('Target Objective Value', comm);

disp('The default values are for various options are:');
fprintf('%-26s : %8d\n','Function Evaluations Limit', nf);
fprintf('%-26s : %8.2e\n','Infinite Bound Size', infbnd);
fprintf('%-26s : %8s\n','Local Searches', lcsrch);
fprintf('%-26s : %8d\n','Local Searches Limit', loclim);
fprintf('%-26s : %8.2e\n','Local Searches Tolerance', loctol);
fprintf('%-26s : %8s\n','Repeatability', repeat);
fprintf('%-26s : %8d\n','Splits Limit', smax);
fprintf('%-26s : %8d\n','Static Limit', stclim);
fprintf('%-26s : %8.2e\n','Target Objective Error', objerr);
fprintf('%-26s : %8.2e\n','Target Objective Safeguard', objsfg);
fprintf('%-26s : %8.2e\n','Target Objective Value', objval);

% diary off
