function nag_lapack_dgbtrf_example

% diary nag_lapack_dgbtrf_example.r
fprintf('nag_lapack_dgbtrf example results\n\n');

m  = nag_int(4);
kl = nag_int(1);
ku = nag_int(2);
ab = [ 0,    0,     0,     0;
       0,    0,    -3.66, -2.13;
       0,    2.54, -2.73,  4.07;
      -0.23, 2.46,  2.46, -3.82;
      -6.98, 2.56, -4.78,  0];

[abf, ipiv, info] = nag_lapack_dgbtrf( ...
                           m, kl, ku, ab);

mtitle = 'Details of factorization';
[ifail] = nag_file_print_matrix_real_band( ...
                 m, m, kl, kl+ku, abf, mtitle);
fprintf('\n');
disp('Pivot indices');
disp(double(ipiv'));

% diary off
