function nag_lapack_dgehrd_example

% diary nag_lapack_dgehrd_example.r
fprintf('nag_lapack_dgehrd example results\n\n');

ilo = nag_int(1);
ihi = nag_int(4);
a = [ 0.35,  0.45, -0.14, -0.17;
      0.09,  0.07, -0.54,  0.35;
     -0.44, -0.33, -0.03,  0.17;
      0.25, -0.32, -0.13,  0.11];

% Reduce A to upper Hessenberg Form
[H, tau, info] = nag_lapack_dgehrd( ...
                        ilo, ihi, a);

disp('Upper Hessenberg Form H');
disp(H);

% diary off
