function nag_lapack_dgetrs_example

% diary nag_lapack_dgetrs_example.r
fprintf('nag_lapack_dgetrs example results\n\n');

trans = 'N';
a = [1.8, 2.88, 2.05, -0.89;
     5.25, -2.95, -0.95, -3.8;
     1.58, -2.69, -2.9, -1.04;
     -1.11, -0.66, -0.59, 0.8];
b = [9.52, 18.47;
     24.35, 2.25;
     0.77, -13.28;
     -6.22, -6.21];

% Factorize A
[LU, ipiv, info] = nag_lapack_dgetrf(a);

% Compute Solution
[x, info] = nag_lapack_dgetrs(trans, LU, ipiv, b);

[ifail] = nag_file_print_matrix_real_gen( ...
                 'General', ' ', x, 'Solution(s)');

% diary off
