function nag_lapack_dpocon_example

% diary nag_lapack_dpocon_example.r
fprintf('nag_lapack_dpocon example results\n\n');

a = [ 4.16, -3.12,  0.56, -0.10;
     -3.12,  5.03, -0.83,  1.18;
      0.56, -0.83,  0.76,  0.34;
     -0.10,  1.18,  0.34,  1.18];

% Factorize
uplo = 'L';
[af, info] = nag_lapack_dpotrf(uplo, a);

% Estimate condition number
anorm = norm(a, 1);
[rcond, info] = nag_lapack_dpocon( ...
                       uplo, af, anorm);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
