function nag_lapack_dpptri_example

% diary nag_lapack_dpptri_example.r
fprintf('nag_lapack_dpptri example results\n\n');

% Symmetric matrix A, lower triangular part packed in ap
uplo = 'L';
n = nag_int(4);
ap = [4.16 -3.12  0.56 -0.10 ...
            5.03 -0.83  1.18 ...
                  0.76  0.34 ...
                        1.18];

[L, info] = nag_lapack_dpptrf( ...
                   uplo, n, ap);

[ainv, info] = nag_lapack_dpptri( ...
                      uplo, n, L);

[ifail] = nag_file_print_matrix_real_packed( ...
                 uplo, 'N', n, ainv, 'Inverse');

% diary off
