function nag_lapack_dpptrs_example

% diary nag_lapack_dpptrs_example.r
fprintf('nag_lapack_dpptrs example results\n\n');

% Symmetric matrix A, lower triangular part packed in ap
uplo = 'L';
n = nag_int(4);
ap = [4.16 -3.12  0.56 -0.10 ...
            5.03 -0.83  1.18 ...
                  0.76  0.34 1.18];

[L, info] = nag_lapack_dpptrf( ...
                   uplo, n, ap);

% Rhs
b = [  8.70, 8.30;
     -13.35, 2.13;
       1.89, 1.61;
      -4.14, 5.00];

% Solve
[x, info] = nag_lapack_dpptrs( ...
                   uplo, L, b);

disp('Solution(s)');
disp(x);

% diary off
