function nag_lapack_dsptri_example

% diary nag_lapack_dsptri_example.r
fprintf('nag_lapack_dsptri example results\n\n');

% Indefinite matrix A (lower triangular part stored in packed format)
uplo = 'L';
n = nag_int(4);
ap = [2.07;   3.87;   4.20;   -1.15;
             -0.21;   1.87;    0.63;
                      1.15;    2.06;
                              -1.81];

% Factorize
[apf, ipiv, info] = nag_lapack_dsptrf( ...
                           uplo, n, ap);

% Invert
[ainv, info] = nag_lapack_dsptri( ...
                      uplo, apf, ipiv);

[ifail] = nag_file_print_matrix_real_packed( ...
                 uplo, 'Non-unit', n, ainv, 'Inverse');

% diary off
