function nag_lapack_dtrcon_example

% diary nag_lapack_dtrcon_example.r
fprintf('nag_lapack_dtrcon example results\n\n');

% Estimate condition number of A, where A is Lower triangular
a = [ 4.30,  0,     0,    0;
     -3.96, -4.87,  0,    0;
      0.40,  0.31, -8.02, 0;
     -0.27,  0.07, -5.95, 0.12];

norm_p = '1';
uplo = 'L';
diag = 'N';
[rcond, info] = nag_lapack_dtrcon( ...
                       norm_p, uplo, diag, a);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
