function nag_lapack_dtrtri_example

% diary nag_lapack_dtrtri_example.r
fprintf('nag_lapack_dtrtri example results\n\n');

% Invert A, where A is Lower triangular
a = [ 4.30,  0,     0,    0;
     -3.96, -4.87,  0,    0;
      0.40,  0.31, -8.02, 0;
     -0.27,  0.07, -5.95, 0.12];

% Compute inverse
uplo = 'L';
diag = 'N';
[ainv, info] = nag_lapack_dtrtri(uplo, diag, a);

% Dispaly inverse
[ifail] = nag_file_print_matrix_real_gen( ...
                 uplo, diag, ainv, 'Inverse');

% diary off
