function nag_lapack_zgbtrs_example

% diary nag_lapack_zgbtrs_example.r
fprintf('nag_lapack_zgbtrs example results\n\n');

m = nag_int(4);
kl = nag_int(1);
ku = nag_int(2);
ab = [ 0    + 0i,      0    +  0i,     0    + 0i,     0    + 0i;
       0    + 0i,      0    +  0i,     0.97 - 2.84i,  0.59 - 0.48i;
       0    + 0i,     -2.05 -  0.85i, -3.99 + 4.01i,  3.33 - 1.04i;
      -1.65 + 2.26i,  -1.48 -  1.75i, -1.06 + 1.94i, -0.46 - 1.72i;
       0    + 6.3i,   -0.77 +  2.83i,  4.48 - 1.09i,  0    + 0i];

b = [ -1.06 + 21.5i,  12.85 +  2.84i;
     -22.72 - 53.9i, -70.22 + 21.57i;
      28.24 - 38.6i, -20.73 -  1.23i;
     -34.56 + 16.73i, 26.01 + 31.97i];

% Factorize
[abf, ipiv, info] = nag_lapack_zgbtrf( ...
                           m, kl, ku, ab);

%Solve
trans = 'N';
[x, info] = nag_lapack_zgbtrs( ...
                   trans, kl, ku, abf, ipiv, b);

disp('Solution(s)');
disp(x);

% diary off
