function nag_lapack_zptsv_example

% diary nag_lapack_zptsv_example.r
fprintf('nag_lapack_zptsv example results\n\n');

% Hermitian tridiagonal A stored as two diagonals
d = [ 16            41          46            21];
e = [ 16 + 16i      18 - 9i      1 - 4i         ];

%RHS
b = [ 64 + 16i;
      93 + 62i;
      78 - 80i;
      14 - 27i];

%Solve
[df, ef, x, info] = nag_lapack_zptsv( ...
                           d, e, b);

disp('Solution');
disp(x);
disp('Diagonal elements of the diagonal matrix D');
disp(df);
disp('Sub-diagonal elements of the Cholesky factor L');
disp(ef);

% diary off
