function nag_lapack_ztpcon_example

% diary nag_lapack_ztpcon_example.r
fprintf('nag_lapack_ztpcon example results\n\n');

% Condition number of A, where A is Complex Lower triangular and packed.
n = nag_int(4);
ap = [ 4.78 + 4.56i;  2.00 - 0.30i;  2.89 - 1.34i; -1.89 + 1.15i;
                     -4.11 + 1.25i;  2.36 - 4.25i;  0.04 - 3.69i;
                                     4.15 + 0.80i; -0.02 + 0.46i;
                                                    0.33 - 0.26i];

norm_p = '1';
uplo   = 'L';
diag   = 'N';

% Resciprocal condition estimate
[rcond, info] = nag_lapack_ztpcon( ...
                       norm_p, uplo, diag, n, ap);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
