function nag_lapack_zunglq_example

% diary nag_lapack_zunglq_example.r
fprintf('nag_lapack_zunglq example results\n\n');

a = [ 0.28 - 0.36i,  0.50 - 0.86i, -0.77 - 0.48i,  1.58 + 0.66i;
     -0.50 - 1.10i, -1.21 + 0.76i, -0.32 - 0.24i, -0.27 - 1.15i;
      0.36 - 0.51i, -0.07 + 1.33i, -0.75 + 0.47i, -0.08 + 1.01i]; 

% Compute the LQ factorization of A
[lq, tau, info] = nag_lapack_zgelqf(a);

% Form Q from LQ
[q, info] = nag_lapack_zunglq(lq, tau);

disp('Unitary Matrix Q:');
disp(q);

% diary off
