function nag_matop_complex_gen_matrix_frcht_exp_example

% diary nag_matop_complex_gen_matrix_frcht_exp_example.r
fprintf('nag_matop_complex_gen_matrix_frcht_exp example results\n\n');

% Exponential of matrix A and Frechet derivative of exp(A)E.

a =  [1+ i, 2+ i, 2+ i, 2+i;
      3+2i, 1,    1,    2+i;
      3+2i, 2+ i, 1,    2+i;
      3+2i, 3+2i, 3+2i, 1+i];

e =  [1,    2+ i, 2,    4+i;
      3+2i, 0,    1,    0+i;
      0+2i, 0+ i, 1,    0;
      1+ i, 2+2i, 0+3i, 1];

[expa, lae, ifail] = nag_matop_complex_gen_matrix_frcht_exp(a,e);

[ifail] = nag_file_print_matrix_complex_gen('General', ' ', expa, 'exp(A):');
disp(' ');
[ifail] = nag_file_print_matrix_complex_gen('General', ' ', lae, 'L_exp(A,E):');

% diary off
