function nag_matop_complex_gen_rq_example

% diary nag_matop_complex_gen_rq_example.r
fprintf('nag_matop_complex_gen_rq example results\n\n');

a = [  0   - 0.5i,  0.4 - 0.3i,  0.4 + 0i,    0.3 + 0.4i,  0   + 0.3i;
      -0.5 - 1.5i,  0.9 - 1.3i, -0.4 - 0.4i,  0.1 - 0.7i,  0.3 - 0.3i;
      -1   - i,     0.2 - 1.4i,  1.8 + 0i,    0   + 0i,    0   - 2.4i];

[RQ, theta, ifail] = nag_matop_complex_gen_rq(a);

disp('RQ Factorization of A');
disp('Vector theta');
disp(theta');
disp('Matrix A after factorization (R in left-hand upper triangle');
disp(RQ);

% diary off
