function nag_matop_complex_herm_matrix_exp_example

% diary nag_matop_complex_herm_matrix_exp_example.r
fprintf('nag_matop_complex_herm_matrix_exp example results\n\n');

uplo = 'u';
a = [1,  2 + 1i,  3 + 2i,  4 + 3i;
     0,  1 + 0i,  2 + 1i,  3 + 2i;
     0,  0,       1 + 0i,  2 + 1i;
     0,  0,       0,       1 + 0i];

% Compute exp(a)
[expa, ifail] = nag_matop_complex_herm_matrix_exp(uplo, a);

% Display results
[ifail] = nag_file_print_matrix_complex_gen(uplo, 'n', expa, 'Hermitian Exp(a)');

% diary off
