function nag_matop_real_gen_matrix_cond_log_example

% diary nag_matop_real_gen_matrix_cond_log_example.r
fprintf('nag_matop_real_gen_matrix_cond_log example results\n\n');

% Logarithm and conditioning of matrix A 
a =  [4, -1,  0,  1;
      2,  5, -2,  2;
      1,  1,  3, -1;
      2,  0,  2,  8];

% Compute log(a)
[loga, condla, ifail] = nag_matop_real_gen_matrix_cond_log(a);

% Display results
disp('Log(A):');
disp(loga);

fprintf('Estimated condition number is: %6.2f\n', condla);

% diary off
