function nag_matop_real_gen_matrix_frcht_log_example

% diary nag_matop_real_gen_matrix_frcht_log_example.r
fprintf('nag_matop_real_gen_matrix_frcht_log example results\n\n');

% Logarithm of matrix A and Frechet derivative of log(A)E.

a = [ 4 2 0 2;
      3 3 1 1;
      3 2 1 0;
      3 3 1 2];

e = [ 1 2 2 2;
      0 0 3 1;
      1 2 1 2;
      1 3 1 1];

[loga, lae, ifail] = nag_matop_real_gen_matrix_frcht_log(a,e);

[ifail] = nag_file_print_matrix_real_gen('General', ' ', loga, 'log(A):');
disp(' ');
[ifail] = nag_file_print_matrix_real_gen('General', ' ', lae, 'L_log(A,E):');

% diary off
