function nag_matop_ztfttp_example

% diary nag_matop_ztfttp_example.r
fprintf('nag_matop_ztfttp example results\n\n');

transr = 'n';
uplo   = 'u';
n      = nag_int(4);
ar = [1.3 + 1.3i;
      2.3 + 2.3i;
      3.3 + 3.3i;
      1.1 - 1.1i;
      1.2 - 1.2i;
      1.4 + 1.4i;
      2.4 + 2.4i;
      3.4 + 3.4i;
      4.4 + 4.4i;
      2.2 - 2.2i];
% Print the Rectangular Full Packed array
fprintf('\n');
[ifail] = nag_file_print_matrix_complex_gen_comp('g', 'x', ar, 'b', 'f5.2', 'RFP Packed Array ar:', 'i', ...
                'n', nag_int(80), nag_int(0));
% Convert to packed vector form
[ap, info] = nag_matop_ztfttp(transr, uplo, n, ar);
% Print the packed vector
fprintf('\n');
[ifail] = nag_file_print_matrix_complex_gen_comp('g', 'x', ap, 'b', 'f5.2', 'Packed Array ap:', 'i', ...
                'n', nag_int(80), nag_int(0));

% diary off
