function nag_matop_ztpttr_example

% diary nag_matop_ztpttr_example.r
fprintf('nag_matop_ztpttr example results\n\n');

uplo = 'u';
n = nag_int(4);
ap = [1.1 + 1.1i;
      1.2 + 1.2i;
      2.2 + 2.2i;
      1.3 + 1.3i;
      2.3 + 2.3i;
      3.3 + 3.3i;
      1.4 + 1.4i;
      2.4 + 2.4i;
      3.4 + 3.4i;
      4.4 + 4.4i];
% Print the packed vector
fprintf('\n');
[ifail] = nag_file_print_matrix_complex_gen_comp('g', 'x', ap, 'b', 'f5.2', 'Packed matrix ap:', 'i', ...
                'n', nag_int(80), nag_int(0));
% Convert to triangular form
[a, info] = nag_matop_ztpttr(uplo, n, ap);
% Print the unpacked matrix
fprintf('\n');
[ifail] = nag_file_print_matrix_complex_gen_comp(uplo, 'n', a, 'b', 'f5.2', 'Unpacked matrix a:', 'i', ...
                'i', nag_int(80), nag_int(0));

% diary off
