function nag_mv_distance_mat_example

% diary nag_mv_distance_mat_example.r
fprintf('nag_mv_distance_mat example results\n\n');

x = [1, 1, 1;
     2, 1, 2;
     3, 6, 3;
     4, 8, 2;
     5, 8, 0];
[n,m]  = size(x);

isx    = ones(m,1,nag_int_name);
isx(1) = nag_int(0);
s      = ones(m,1);
ld     = (n*(n-1))/2;
d      = zeros(ld,1);

% Compute the distance matrix
update = 'I';
dist = 'S';
scal = 'U';
[s, d, ifail] = nag_mv_distance_mat( ...
		       update, dist, scal, x, isx, s, d);

fprintf(' Distance Matrix\n  ');
fprintf('   %5d', [1:n-1]);
for i = 2:n
  lj = (i-1)*(i-2)/2 + 1;
  uj = i*(i-1)/2;
  fprintf('\n%2d  ', i);
  fprintf('   %5.2f', d(lj:uj));
end
fprintf('\n');

% diary off
