function nag_nonpar_concordance_kendall_example

% diary nag_nonpar_concordance_kendall_example.r
fprintf('nag_nonpar_concordance_kendall example results\n\n');

x = [1,   4.5, 2,   4.5, 3,   7.5, 6,  9,    7.5, 10;
     2.5, 1,   2.5, 4.5, 4.5, 8,   9,  6.5, 10,    6.5;
     2,   1,   4.5, 4.5, 4.5, 4.5, 8,  8,    8,   10  ];

fprintf('Kendall''s coefficient of concordance\n\n');
% Table Labels
labrow = 'Character';
rlabs  = {'Comparison 1 scores';
          'Comparison 2 scores';
          'Comparison 3 scores'};
labcol = 'None';
clabs  = {'       '};
ncols  = nag_int(80);
indent = nag_int(0);

[ifail] =  nag_file_print_matrix_real_gen_comp( ...
                 'General', ' ', x, 'F5.1', 'Data values', labrow, ...
                 rlabs, labcol, clabs, ncols, indent);

k = nag_int(3);
[w, p, ifail] = nag_nonpar_concordance_kendall(x, k);

fprintf('\nKendall''s coefficient = %8.3f\n', w);
fprintf('         Significance = %8.3f\n', p); 

% diary off
