function nag_nonpar_test_cochranq_example

% diary nag_nonpar_test_cochranq_example.r
fprintf('nag_nonpar_test_cochranq example results\n\n');

x = [1, 1, 1;
     1, 1, 1;
     0, 1, 0;
     1, 1, 0;
     0, 0, 0;
     1, 1, 1;
     1, 1, 1;
     1, 1, 0;
     0, 0, 1;
     0, 1, 0;
     1, 1, 1;
     1, 1, 1];

[ifail] = nag_file_print_matrix_real_gen( ...
                 'General', 'Non-unit', x, 'Data matrix');

fprintf('\n');

[q, prob, ifail] = nag_nonpar_test_cochranq(x);

fprintf('Cochrans Q test statistic = %10.4f\n', q);
fprintf('Degrees of freedom        = %5d\n', size(x,2)-1);
fprintf('Upper-tail probability    = %10.4f\n', prob);

% diary off
