function nag_opt_qpconvex2_sparse_option_integer_set_example

% diary nag_opt_qpconvex2_sparse_option_integer_set_example.r
fprintf('nag_opt_qpconvex2_sparse_option_integer_set example results\n\n');

% Initialize communication arrays
[cw, iw, rw, ifail] = nag_opt_qpconvex2_sparse_init;

% Set option "Print file" to 6
string = 'Print file';
ivalue = nag_int(6);
[cw, iw, rw, ifail] = nag_opt_qpconvex2_sparse_option_integer_set( ...
			     string, ivalue, cw, iw, rw);

% Get value of option "Print file"
[ivalue, cw, iw, rw, ifail] =  ...
  nag_opt_qpconvex2_sparse_option_integer_get(string, cw, iw, rw);

fprintf('The value of option ''Print file'' is %3d\n', ivalue);

% diary off
