function nag_orthog_real_gram_schmidt_example

% diary nag_orthog_real_gram_schmidt_example.r
fprintf('nag_orthog_real_gram_schmidt example results\n\n');

a = [ 1, -2,  3,  1;
     -2,  1, -2, -1;
      3, -2,  1,  5;
      4,  1,  5,  3];

% Orthonormalize all but first column of A
n1 = nag_int(2);
[a, cc, icol, ifail] = nag_orthog_real_gram_schmidt(a, n1);

fprintf('Linear dependence measure for column %1d = %6.4f\n', icol, cc);
fprintf('\nFinal orthonormalized columns\n');
disp(a(:,n1:end));

% diary off
