function nag_quad_1d_fin_wsing_example

% diary nag_quad_1d_fin_wsing_example.r
fprintf('nag_quad_1d_fin_wsing example results\n\n');

a    = 0;
b    = 1;
alfa = 0;
beta = 0;
key  = nag_int(2);
epsabs = 0;
epsrel = 0.0001;

g = @(x) cos(10*pi*x);

[result, abserr, w, iw, ifail] = ...
  nag_quad_1d_fin_wsing( ...
	 g, a, b, alfa, beta, key, epsabs, epsrel);

fprintf('Result = %13.6f,  Standard error = %10.2e\n', result, abserr);

% diary off
