function nag_rand_dist_dirichlet_example

% diary nag_rand_dist_dirichlet_example.r
fprintf('nag_rand_dist_dirichlet example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);
% Parameters
a = [2; 2; 2; 2];

% Generate variates from Dirichlet distribution
[state, x, ifail] = nag_rand_dist_dirichlet( ...
                           n, a, state);

disp('Variates');
disp(x);

% diary off
