function nag_rand_dist_triangular_example

% diary nag_rand_dist_triangular_example.r
fprintf('nag_rand_dist_triangular example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
xmin = -1;
xmed = 0.5;
xmax = 1;

% Generate variates from a triangular distribution
[state, x, ifail] = nag_rand_dist_triangular( ...
                           n, xmin, xmed, xmax, state);

disp('Variates');
disp(x);

% diary off
