function nag_rand_init_skipahead_power2_example

% diary nag_rand_init_skipahead_power2_example.r
fprintf('nag_rand_init_skipahead_power2 example results\n\n');

genid = nag_int(1);
subid = nag_int(1);
seed  = [nag_int(1762543)];

% Initialise the generator to a repeatable sequence
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Advance the sequence 2**n places
n = nag_int(17);
[state, ifail] = nag_rand_init_skipahead_power2( ...
                        n, state);

% Generate nv variates from a uniform distribution
nv = nag_int(5);
[state, x, ifail] = nag_rand_dist_uniform01( ...
                           nv, state);

% Display the variates
disp(x);

% diary off
