function nag_rand_int_log_example

% diary nag_rand_int_log_example.r
fprintf('nag_rand_int_log example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(10);

% Parameters
a = 0.9999;

% Generate variates from logarithmic distribution without reference vector
mode = nag_int(3);
r = [0];
[r, state, x, ifail] = nag_rand_int_log( ...
                              mode, n, a, r, state);

disp('Variates');
disp(double(x));

% diary off
