function nag_rand_quasi_lognormal_example

% diary nag_rand_quasi_lognormal_example.r
fprintf('nag_rand_quasi_lognormal example results\n\n');

% Initialize the Sobol generator, skipping some variates
iskip = nag_int(1000);
idim  = nag_int(4);
genid = nag_int(1);
% Initialize the Sobol generator
[iref, ifail] = nag_rand_quasi_init( ...
                       genid,idim,iskip);

% Number of variates
n = nag_int(5);

% Parameters
xmean = [1; 2; 3; 4];
std = [1; 1; 1; 1];

% Generate n values from the log-normal distribution
[quasi, iref, ifail] = nag_rand_quasi_lognormal( ...
                              xmean, std, n, iref);

disp('Variates');
disp(quasi);

% diary off
