function nag_roots_contfn_cntin_rcomm_example

% diary nag_roots_contfn_cntin_rcomm_example.r
fprintf('nag_roots_contfn_cntin_rcomm example results\n\n');

fx = 0;
c = zeros(26, 1);
for k=3:4
  x = 1;
  tol = 10^-k;
  ir = nag_int(0);
  ind = nag_int(1);

  while (ind ~= 0)
    [x, c, ind, ifail] = nag_roots_contfn_cntin_rcomm(x, fx, tol, ir, c, ind);
    fx = x - exp(-x);
  end

  if ifail == 4 || ifail ==6
    fprintf('FTol = %11.4e, final value = %11.4e, theta = %10.2e\n', tol, ...
             x, c(5));
  elseif ifail == 0
    fprintf('Tol is %11.4e, Root is %11.4e\n', tol, x);
  end
end

% diary off
