function nag_sort_realmat_rank_rows_example

% diary nag_sort_realmat_rank_rows_example.r
fprintf('nag_sort_realmat_rank_rows example results\n\n');

rm = [6, 5, 4;
      5, 2, 1;
      2, 4, 9;
      4, 9, 6;
      4, 9, 5;
      4, 1, 2;
      3, 4, 1;
      2, 4, 6;
      1, 6, 4;
      9, 3, 2;
      6, 2, 5;
      4, 9, 6];

m1 = nag_int(1);
n1 = nag_int(1);
order = 'Ascending';

[irank, ifail] = nag_sort_realmat_rank_rows( ...
                        rm, m1, n1, order);

fprintf('          Data             Ranks\n\n');
for i = 1:size(rm,1)
  fprintf('%7.1f',rm(i,:));
  fprintf('    %7d\n',irank(i));
end

% diary off
