function nag_stat_pdf_gamma_vector_example

% diary nag_stat_pdf_gamma_vector_example.r
fprintf('nag_stat_pdf_gamma_vector example results\n\n');

x = [0.1,  3,  6,  4,    9,   16  ];
a = [3,   10,  5, 10,    9,    3.5];
b = [2,   11,  1,  0.1,  0.5,  2.5];

ilog = nag_int(0);
[pdf, ivalid, ifail] = nag_stat_pdf_gamma_vector( ...
			      ilog, x, a, b);

fprintf('     x       a       b       pdf     ivalid\n');
lx = numel(x);
la = numel(a);
lb = numel(b);
len = max ([lx, la, lb]);

for i=0:len-1
  fprintf('%8.2f%8.2f%8.2f%12.4e%4d\n', x(mod(i,lx)+1), a(mod(i,la)+1), ...
	  b(mod(i,lb)+1), pdf(i+1), ivalid(i+1));
end

% diary off
