function nag_stat_pdf_vavilov_example

% diary nag_stat_pdf_vavilov_example.r
fprintf('nag_stat_pdf_vavilov example results\n\n');

x      = 2.5;
rkappa = 0.4;
beta2  = 0.1;

fprintf('  x     rkappa    beta2        y\n\n');

% Initialize rcomm array (new value of rkappa or beta2)
mode = nag_int(0);
[xl, xu, rcomm, ifail] = nag_stat_init_vavilov( ...
                               rkappa, beta2, mode);

% Compute value of Vavilov density function
[y, ifail] = nag_stat_pdf_vavilov( ...
                    x, rcomm);

% Display results
fprintf('%4.1f%9.1f%9.1f%15.4e\n', x, rkappa, beta2, y);

% diary off
