function nag_stat_prob_binomial_example

% diary nag_stat_prob_binomial_example.r
fprintf('nag_stat_prob_binomial example results\n\n');

n = nag_int([4    19     100    2000]);
k = nag_int([2    13     67     700]);
p =         [0.5  0.44   0.75   0.33];

fprintf('   n     p      k     plek      pgtk      peqk\n');
for i=1:4
  [plek, pgtk, peqk, ifail] = ...
  nag_stat_prob_binomial(n(i), p(i), k(i));
  fprintf('%5d%7.3f%5d%10.5f%10.5f%10.5f\n', n(i), p(i), k(i), ...
	  plek, pgtk, peqk);
end

% diary off
