function nag_stat_prob_durbin_watson_example

% diary nag_stat_prob_durbin_watson_example.r
fprintf('nag_stat_prob_durbin_watson example results\n\n');

% bounds for the significance of a Durbin–Watson statistic.
n  = nag_int(10);
ip = nag_int(2);
d  = 0.9238;

[pdl, pdu, ifail] = nag_stat_prob_durbin_watson(n, ip, d);

fprintf('d_l(n=%4d,p=%4d,d=%7.4f) = %7.4f\n',n,ip,d,pdl);
fprintf('d_u(n=%4d,p=%4d,d=%7.4f) = %7.4f\n',n,ip,d,pdu);

% diary off
