function nag_stat_prob_f_vector_example

% diary nag_stat_prob_f_vector_example.r
fprintf('nag_stat_prob_f_vector example results\n\n');

f = [5.5; 39.9; 2.5];
df1 = [1.5; 1; 20.25];
df2 = [25.5; 1; 1];
tail = {'L'};
% calculate probability
[prob, ivalid, ifail] = nag_stat_prob_f_vector( ...
                               tail, f, df1, df2);

fprintf('    F       df1    df2     prob\n');
lf    = numel(f);
ldf1  = numel(df1);
ldf2  = numel(df2);
ltail = numel(tail);
len   = max ([lf, ldf1, ldf2, ltail]);
for i=0:len-1
  fprintf('%7.3f%8.3f%8.3f%8.3f\n', f(mod(i,lf)+1), df1(mod(i,ldf1)+1), ...
          df2(mod(i,ldf2)+1), prob(i+1));
end

% diary off
