function nag_stat_prob_students_t_vector_example

% diary nag_stat_prob_students_t_vector_example.r
fprintf('nag_stat_prob_students_t_vector example results\n\n');

t    = [0.85];
df   = [20];
tail = {'L'; 'S'; 'C'; 'U'};
% calculate probability
[prob, ivalid, ifail] = nag_stat_prob_students_t_vector(...
                              tail, t, df);

fprintf('    t      df     prob  tail\n');
lt    = numel(t);
ldf   = numel(df);
ltail = numel(tail);
len   = max ([lt, ldf, ltail]);
for i=0:len-1
  fprintf('%7.3f%8.3f%8.4f  %c\n', t(mod(i,lt)+1), df(mod(i,ldf)+1), ...
          prob(i+1), tail{mod(i,ltail)+1});
end

% diary off
