function nag_stat_prob_vonmises_example

% diary nag_stat_prob_vonmises_example.r
fprintf('nag_stat_prob_vonmises example results\n\n');

% Lower tail probabilities for Von Mises distribution
t  = [7; 2.8; 1.0; -1.4];
vk = [0; 2.4; 1.0;  1.3];

fprintf('     t         vk     probability\n');
for j = 1:numel(t)

          [p, ifail] = nag_stat_prob_vonmises( ...
                              t(j), vk(j));

  fprintf('%9.4f%10.4f%12.4f\n', t(j), vk(j), p);
end

% diary off
