function nag_stat_summary_freq_example

% diary nag_stat_summary_freq_example.r
fprintf('nag_stat_summary_freq example results\n\n');

x     = [  9.3     12     14     16     18  ...
          20       22     24     26     28  ...
          30       32     34     36     39.7];
ifreq = [  3       19     52     96    121  ...
         115       86     70     49     31  ...
          16        6      8      7      0];
ifreq = nag_int(ifreq);

[xmean, s2, s3, s4, n, ifail] = nag_stat_summary_freq( ...
				       x, ifreq);

fprintf('Number of classes %7d\n\n',size(x,2)-1);

fprintf('%14s%20s\n', 'Class', 'Frequency');
fprintf('%9.2f%9.2f%15d\n',[x(1:end-1);x(2:end);ifreq(1:end-1)]);
fprintf('\n');
fprintf('Mean               %10.4f\n',xmean);
fprintf('Std devn           %10.4f\n',s2);
fprintf('Skewness           %10.4f\n',s3);
fprintf('Kurtosis           %10.4f\n',s4);
fprintf('Number of cases    %5d\n',n);

% diary off
