function nag_sum_convcorr_complex_example

% diary nag_sum_convcorr_complex_example.r
fprintf('nag_sum_convcorr_complex example results\n\n');

a = 1 - 0.5i;
b =   - 0.5i;
x(1:5) = a;
x(6:9) = b;
y(1:4) = a/2;
y(5:9) = b/2;

job = nag_int(1);
[conv, tconv, ifail] = nag_sum_convcorr_complex(job, x, y);
job = nag_int(2);
[corr, tcorr, ifail] = nag_sum_convcorr_complex(job, x, y);

result = [transpose(conv) transpose(corr)];
disp('      Convolution        Correlation');
disp(result);

% diary off
