function s17af_example

% diary s17af_example.r
fprintf('s17af example results\n\n');

x = [0     0.5     1    3    6   8    10   -1  1000];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s17af(x(j));
end

disp('      x         J_1(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s17af_plot;

% diary off

function s17af_plot
x = [-30:0.25:30];
  for j = 1:numel(x)
    [J1(j), ifail] = s17af(x(j));
  end

  fig1 = figure;
  plot(x,J1,'-r');
  xlabel('x');
  ylabel('J_1(x)');
  title('Bessel Function J_1(x)');
  axis([-30 30 -0.6 0.6]);

  % print(fig1,'-dpng','-r75','s17af_fig1.png');
  % print(fig1,'-deps','-r75','s17af_fig1.eps');
