function s21bd_example

% diary s21bd_example.r
fprintf('s21bd example results\n\n');

x = [0.5   0.5   0.5   0.5   0.5   0.5   1    1    1     1.5];
y = [0.5   0.5   0.5   1     1     1.5   1    1    1.5   1.5];
z = [0.5   1     1.5   1     1.5   1.5   1    1.5  1.5   1.5];
r = [2     2     2     2     2     2     2    2    2     2  ];
result = x;

for j=1:numel(x)
  [result(j), ifail] = s21bd(x(j), y(j), z(j), r(j));
end

fprintf('    x      y      z      r      R_J(x,y,z)\n');
fprintf('%7.2f%7.2f%7.2f%7.2f%12.4f\n',[x; y; z; r; result]);

% diary off
