function s21ca_example

% diary s21ca_example.r
fprintf('s21ca example results\n\n');

u = [0.2   5  -0.5   10];
m = [0.3  -1  -0.1   11];
sn = u; cn = u; dn = u;

for j=1:numel(u)
  [sn(j), cn(j), dn(j), ifail] = s21ca(u(j),m(j));
end

disp('       u         m         sn        cn        dn');
fprintf('%10.2f%10.2f%10.4f%10.4f%10.4f\n',[u; m; sn; cn; dn]);

% diary off
