function s21da_example

% diary s21da_example.r
fprintf('s21da example results\n\n');

z =  1.2 + 3.7i;
kp = 0.5;
a = 1;
b = 1;

[result, ifail] = s21da(z, kp, a, b);

fprintf('%6s%13s%7s%7s%18s\n','z','k''','a','b','F(z,k'',a,b)');
fprintf('%5.1f%+5.1fi  %7.2f%7.2f%7.2f%10.5f%+10.5fi\n', real(z), imag(z), ...
        kp, a, b, real(result), imag(result));

% diary off
