
% f07hp: Uses the Cholesky factorization to compute the solution, error-bound and condition estimate for a complex Hermitian positive definite banded system of linear equations
% 
% Syntax: 
% 
%   [ab, afb, equed, s, b, x, rcond, ferr, berr, info] = f07hp(fact, uplo, kd, ab, afb, equed, s, b, 'n', n, 'nrhs_p', nrhs_p)
% 
% Further documentation is available in the <a href="matlab:nag_doc f07/f07hpf.html">NAG Toolbox help files</a>.
%
