
% f08ra: Computes the CS decomposition of an orthogonal matrix partitioned into four real submatrices
% 
% Syntax: 
% 
%   [x11, x12, x21, x22, theta, u1, u2, v1t, v2t, info] = f08ra(m, p, q, x11, x12, x21, x22, 'jobu1', jobu1, 'jobu2', jobu2, 'jobv1t', jobv1t, 'jobv2t', jobv2t, 'trans', trans, 'signs', signs)
% 
% Further documentation is available in the <a href="matlab:nag_doc f08/f08raf.html">NAG Toolbox help files</a>.
%
